<html>
<header>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" >
<title> Aggiorna il database php-residence </title>
</header>
<body bgcolor=#ffffff>

<?php

#################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2006 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################

$pag = "aggiorna.php";

$molto_vecchio = @is_file("./datipermanenti/connessione_db.inc");
$vecchio = @is_file("./dati/connessione_db.php");
if ($molto_vecchio) {
$numconnessione = "SI";
include ("./datipermanenti/connessione_db.inc");
$PHPR_DB_TYPE = "postgresql";
$PHPR_TAB_PRE = "";
include("./includes/funzioni_$PHPR_DB_TYPE.php");
} # fine if ($molto_vecchio)
else {
if ($vecchio) {
$numconnessione = "SI";
include ("./dati/connessione_db.php");
$PHPR_DB_TYPE = "postgresql";
$PHPR_TAB_PRE = "";
include("./includes/funzioni_$PHPR_DB_TYPE.php");
} # fine if ($vecchio)
else {
include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
} # fine else if ($vecchio)
} # fine else if ($molto_vecchio)

include("./includes/funzioni.php");
include("./includes/funzioni_costi_agg.php");
include("./dati/lingua.php");
if (@is_array($lingua)) $lingua_mex = $lingua[1];
else $lingua_mex = $lingua;


$versione_corrente = @esegui_query("select * from ".$PHPR_TAB_PRE."versioni where idversioni = 1");

#esegui_query("begin");
#esegui_query("lock table anni");
$anni = esegui_query("select * from ".$PHPR_TAB_PRE."anni order by idanni");
$num_anni = numlin_query($anni);
for ($num1 = 0 ; $num1 < $num_anni ; $num1 = $num1 + 1) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tableprenota = $PHPR_TAB_PRE."prenota".$anno_mostra;
#pg_exec("lock table $tableprenota");
} # fine for $num1


if (!$versione_corrente) {
pg_exec("create table versioni (idversioni integer primary key, num_versione float4)");
pg_exec("lock table versioni");
pg_exec("insert into versioni (idversioni, num_versione) values (1, '0.1')");
$versione_corrente = "0.1";
} # fine if (!$versione_corrente)
else {
#pg_exec("lock table versioni");
#$versione_corrente = esegui_query("select * from versioni where idversioni = 1");
$versione_corrente = risul_query($versione_corrente,0,num_versione);
} # fine else if (!$versione_corrente)

if ($versione_corrente < "0.12") {
$aggiornato = "SI";
} # fine if ($versione_corrente < "0.12")

# c'è scitto 0.19 ma in realtà è la 0.2
if ($versione_corrente < "0.19") {
$aggiornato = "SI";
pg_exec("lock table appartamenti");
pg_exec("alter table appartamenti add column commento text");
rename("datipermanenti/connessione_db.inc","datipermanenti/connessione_db.php");
rename("datipermanenti/selectappartamenti.inc","datipermanenti/selectappartamenti.php");
$anni = pg_exec("select * from anni order by idanni");
$num_anni = pg_numrows($anni);
for ($num1 = 0 ; $num1 < $num_anni ; $num1 = $num1 + 1) {
$anno_cambia = pg_result($anni,$num1,idanni);
rename("$anno_cambia/selectperiodi.inc","$anno_cambia/selectperiodi.php");
} # fine for $num1
pg_exec("insert into versioni (idversioni, num_versione) values (2, '100')");
$fileaperto = fopen("datipermanenti/lingua.php","a+");
fwrite($fileaperto,"<?php
\$lingua = \"ita\";
?>");
fclose($fileaperto);
pg_exec("alter table anni add column tipo_periodi text");
$anni = pg_exec("select * from anni order by idanni");
pg_exec("update anni set tipo_periodi = 's'");
for ($num1 = 0 ; $num1 < $num_anni ; $num1 = $num1 + 1) {
$anno_mostra = pg_result($anni,$num1,idanni);
$tableprenota = prenota. $anno_mostra;
pg_exec("alter table $tableprenota add column conferma varchar(4)");
$tableregole = regole. $anno_mostra;
pg_exec("lock table $tableregole");
pg_exec("alter table $tableregole add column tariffa_per_app text");
pg_exec("alter table $tableregole add column motivazione text");
$tablesoldi = soldi. $anno_mostra;
pg_exec("create table $tablesoldi (idsoldi serial, motivazione text, saldo_prenota float8, saldo_cassa float8, soldi_prima float8, data_inserimento datetime)");
pg_exec("lock table $tablesoldi");
pg_exec("insert into $tablesoldi (motivazione,soldi_prima) values ('soldi_prenotazioni_cancellate','0')");
} # fine for $num1
pg_exec("create table personalizza (idpersonalizza text primary key, valpersonalizza text, valpersonalizza_num integer)");
pg_exec("lock table personalizza");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza) values ('col_tab_tutte_prenota','ca#@&pa#@&ap#@&pe#@&co')");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza) values ('valuta','Euro')");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza) values ('stile_soldi','europa')");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza) values ('costi_agg_in_tab_prenota','')");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza_num) values ('num_linee_tab2_prenota','30')");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza) values ('nomi_contratti','')");
# cambio idappartamenti da integer a text in appartamenti, $tableprenota e $tableregole
pg_exec("alter table appartamenti rename to appart");
pg_exec("drop index appartamenti_pkey");
pg_exec("alter table appart rename column idappartamenti to idappart");
pg_exec("alter table appart add column idappartamenti text");
$appartamenti = pg_exec("select * from appart");
$num_appartamenti = pg_numrows($appartamenti);
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1 = $num1 + 1) {
$idapp = pg_result($appartamenti,$num1,idappart);
pg_exec("update appart set idappartamenti = '$idapp' where idappart = '$idapp'");
} # fine for $num1
pg_exec("create table appartamenti ( idappartamenti text primary key, numpiano text, maxoccupanti integer, numcasa text, app_vicini text, priorita integer, commento text )");
pg_exec("insert into appartamenti select idappartamenti,numpiano,maxoccupanti,numcasa,app_vicini,priorita,commento from appart");
pg_exec("drop table appart");
$anni = pg_exec("select * from anni order by idanni");
$num_anni = pg_numrows($anni);
for ($num1 = 0 ; $num1 < $num_anni ; $num1 = $num1 + 1) {
$anno_cambia = pg_result($anni,$num1,idanni);
$tableprenota = prenota . $anno_cambia;
$tableprenota_temp = pren . $anno_cambia;
pg_exec("alter table $tableprenota rename to $tableprenota_temp");
pg_exec("drop index $tableprenota"."_pkey");
pg_exec("alter table $tableprenota_temp rename column idappartamenti to idappart");
pg_exec("alter table $tableprenota_temp add column idappartamenti text");
pg_exec("alter table $tableprenota_temp rename column sconto to scon");
pg_exec("alter table $tableprenota_temp add column sconto float8");
pg_exec("alter table $tableprenota_temp rename column tariffa_tot to tariffa_t");
pg_exec("alter table $tableprenota_temp add column tariffa_tot float8");
pg_exec("alter table $tableprenota_temp rename column caparra to capar");
pg_exec("alter table $tableprenota_temp add column caparra float8");
pg_exec("alter table $tableprenota_temp rename column pagato to paga");
pg_exec("alter table $tableprenota_temp add column pagato float8");
$prenotazioni = pg_exec("select * from $tableprenota_temp");
$num_prenotazioni = pg_numrows($prenotazioni);
for ($num2 = 0 ; $num2 < $num_prenotazioni ; $num2 = $num2 + 1) {
$idprenota = pg_result($prenotazioni,$num2,idprenota);
$idapp = pg_result($prenotazioni,$num2,idappart);
$scon = pg_result($prenotazioni,$num2,scon);
$tariffa_t = pg_result($prenotazioni,$num2,tariffa_t);
$capar = pg_result($prenotazioni,$num2,capar);
$paga = pg_result($prenotazioni,$num2,paga);
pg_exec("update $tableprenota_temp set idappartamenti = '$idapp' where idprenota = '$idprenota'");
pg_exec("update $tableprenota_temp set sconto = '$scon' where idprenota = '$idprenota'");
pg_exec("update $tableprenota_temp set tariffa_tot = '$tariffa_t' where idprenota = '$idprenota'");
pg_exec("update $tableprenota_temp set caparra = '$capar' where idprenota = '$idprenota'");
pg_exec("update $tableprenota_temp set pagato = '$paga' where idprenota = '$idprenota'");
} # fine for $num2
pg_exec("create table $tableprenota (idprenota integer primary key, idclienti integer, idappartamenti text, iddatainizio integer, iddatafine integer, assegnazioneapp varchar(4), app_assegnabili text, num_persone integer, idprenota_compagna text, tariffa text, costiaggiuntivi text, sconto float8, tariffa_tot float8, caparra float8, pagato float8, commento text, conferma varchar(4), datainserimento datetime, hostinserimento varchar(50), data_modifica datetime )");
pg_exec("insert into $tableprenota select idprenota,idclienti,idappartamenti,iddatainizio,iddatafine,assegnazioneapp,app_assegnabili,num_persone,idprenota_compagna,tariffa,costiaggiuntivi,sconto,tariffa_tot,caparra,pagato,commento,conferma,datainserimento,hostinserimento,data_modifica from $tableprenota_temp");
pg_exec("drop table $tableprenota_temp");
$tableregole = regole . $anno_cambia;
$tableregole_temp = reg . $anno_cambia;
pg_exec("alter table $tableregole rename to $tableregole_temp");
pg_exec("alter table $tableregole_temp rename column app_agenzia to app_ag");
pg_exec("alter table $tableregole_temp add column app_agenzia text");
$regole = pg_exec("select * from $tableregole_temp");
$num_regole = pg_numrows($regole);
for ($num2 = 0 ; $num2 < $num_regole ; $num2 = $num2 + 1) {
$idregole = pg_result($regole,$num2,idregole);
$app_ag = pg_result($regole,$num2,app_ag);
pg_exec("update $tableregole_temp set app_agenzia = '$app_ag' where idregole = '$idregole'");
} # fine for $num2
pg_exec("create table $tableregole (idregole integer, app_agenzia text, tariffa_per_app text, iddatainizio integer, iddatafine integer, motivazione text)");
pg_exec("insert into $tableregole select idregole,app_agenzia,tariffa_per_app,iddatainizio,iddatafine,motivazione from $tableregole_temp");
pg_exec("drop table $tableregole_temp");
$tablenometariffe = ntariffe . $anno_cambia;
$tablenometariffe_temp = ntarif . $anno_cambia;
pg_exec("alter table $tablenometariffe rename to $tablenometariffe_temp ");
pg_exec("alter table $tablenometariffe_temp rename column costosettimanale to costosett");
pg_exec("alter table $tablenometariffe_temp add column costosettimanale float8");
pg_exec("alter table $tablenometariffe_temp rename column costofinale to costofin");
pg_exec("alter table $tablenometariffe_temp add column costofinale float8");
pg_exec("alter table $tablenometariffe_temp rename column costop_arrotond to costop_arr");
pg_exec("alter table $tablenometariffe_temp add column costop_arrotond float8");
pg_exec("alter table $tablenometariffe_temp rename column caparra_arrotond to caparra_arr");
pg_exec("alter table $tablenometariffe_temp add column caparra_arrotond float8");
$nomitariffe = pg_exec("select * from $tablenometariffe_temp");
$num_nomitariffe = pg_numrows($nomitariffe);
for ($num2 = 0 ; $num2 < $num_nomitariffe ; $num2 = $num2 + 1) {
$idntariffe = pg_result($nomitariffe,$num2,idntariffe);
$costosett = pg_result($nomitariffe,$num2,costosett);
$costofin = pg_result($nomitariffe,$num2,costofin);
$costop_arr = pg_result($nomitariffe,$num2,costop_arr);
$caparra_arr = pg_result($nomitariffe,$num2,caparra_arr);
pg_exec("update $tablenometariffe_temp set costosettimanale = '$costosett' where idntariffe = '$idntariffe'");
pg_exec("update $tablenometariffe_temp set costofinale = '$costofin' where idntariffe = '$idntariffe'");
pg_exec("update $tablenometariffe_temp set costop_arrotond = '$costop_arr' where idntariffe = '$idntariffe'");
pg_exec("update $tablenometariffe_temp set caparra_arrotond = '$caparra_arr' where idntariffe = '$idntariffe'");
} # fine for $num2
pg_exec("create table $tablenometariffe (idntariffe integer, tariffa1 varchar(40), tariffa2 varchar(40), tariffa3 varchar(40), tariffa4 varchar(40), tariffa5 varchar(40), tariffa6 varchar(40), tariffa7 varchar(40), tariffa8 varchar(40), tariffa9 varchar(40), tariffa10 varchar(40), costosettimanale float8, costofinale float8, costopercentuale integer, costop_arrotond float8, regole varchar(40), caparra_percent integer, caparra_arrotond float8 )");
pg_exec("insert into $tablenometariffe select idntariffe,tariffa1,tariffa2,tariffa3,tariffa4,tariffa5,tariffa6,tariffa7,tariffa8,tariffa9,tariffa10,costosettimanale,costofinale,costopercentuale,costop_arrotond,regole,caparra_percent,caparra_arrotond from $tablenometariffe_temp");
pg_exec("drop table $tablenometariffe_temp");
$tableperiodi = periodi . $anno_cambia;
$tableperiodi_temp = perio . $anno_cambia;
pg_exec("drop index $tableperiodi"."_pkey");
pg_exec("alter table $tableperiodi rename to $tableperiodi_temp ");
pg_exec("alter table $tableperiodi_temp rename column tariffa1 to tari1");
pg_exec("alter table $tableperiodi_temp add column tariffa1 float8");
pg_exec("alter table $tableperiodi_temp rename column tariffa2 to tari2");
pg_exec("alter table $tableperiodi_temp add column tariffa2 float8");
pg_exec("alter table $tableperiodi_temp rename column tariffa3 to tari3");
pg_exec("alter table $tableperiodi_temp add column tariffa3 float8");
pg_exec("alter table $tableperiodi_temp rename column tariffa4 to tari4");
pg_exec("alter table $tableperiodi_temp add column tariffa4 float8");
pg_exec("alter table $tableperiodi_temp rename column tariffa5 to tari5");
pg_exec("alter table $tableperiodi_temp add column tariffa5 float8");
pg_exec("alter table $tableperiodi_temp rename column tariffa6 to tari6");
pg_exec("alter table $tableperiodi_temp add column tariffa6 float8");
pg_exec("alter table $tableperiodi_temp rename column tariffa7 to tari7");
pg_exec("alter table $tableperiodi_temp add column tariffa7 float8");
pg_exec("alter table $tableperiodi_temp rename column tariffa8 to tari8");
pg_exec("alter table $tableperiodi_temp add column tariffa8 float8");
pg_exec("alter table $tableperiodi_temp rename column tariffa9 to tari9");
pg_exec("alter table $tableperiodi_temp add column tariffa9 float8");
pg_exec("alter table $tableperiodi_temp rename column tariffa10 to tari10");
pg_exec("alter table $tableperiodi_temp add column tariffa10 float8");
$periodi = pg_exec("select * from $tableperiodi_temp");
$num_periodi = pg_numrows($periodi);
for ($num2 = 0 ; $num2 < $num_periodi ; $num2 = $num2 + 1) {
$idperiodi = pg_result($periodi,$num2,idperiodi);
$tari1 = pg_result($periodi,$num2,tari1);
$tari2 = pg_result($periodi,$num2,tari2);
$tari3 = pg_result($periodi,$num2,tari3);
$tari4 = pg_result($periodi,$num2,tari4);
$tari5 = pg_result($periodi,$num2,tari5);
$tari6 = pg_result($periodi,$num2,tari6);
$tari7 = pg_result($periodi,$num2,tari7);
$tari8 = pg_result($periodi,$num2,tari8);
$tari9 = pg_result($periodi,$num2,tari9);
$tari10 = pg_result($periodi,$num2,tari10);
pg_exec("update $tableperiodi_temp set tariffa1 = '$tari1' where idperiodi = '$idperiodi'");
pg_exec("update $tableperiodi_temp set tariffa2 = '$tari2' where idperiodi = '$idperiodi'");
pg_exec("update $tableperiodi_temp set tariffa3 = '$tari3' where idperiodi = '$idperiodi'");
pg_exec("update $tableperiodi_temp set tariffa4 = '$tari4' where idperiodi = '$idperiodi'");
pg_exec("update $tableperiodi_temp set tariffa5 = '$tari5' where idperiodi = '$idperiodi'");
pg_exec("update $tableperiodi_temp set tariffa6 = '$tari6' where idperiodi = '$idperiodi'");
pg_exec("update $tableperiodi_temp set tariffa7 = '$tari7' where idperiodi = '$idperiodi'");
pg_exec("update $tableperiodi_temp set tariffa8 = '$tari8' where idperiodi = '$idperiodi'");
pg_exec("update $tableperiodi_temp set tariffa9 = '$tari9' where idperiodi = '$idperiodi'");
pg_exec("update $tableperiodi_temp set tariffa10 = '$tari10' where idperiodi = '$idperiodi'");
} # fine for $num2
pg_exec("create table $tableperiodi (idperiodi integer primary key, datainizio date not null, datafine date, tariffa1 float8, tariffa2 float8, tariffa3 float8, tariffa4 float8, tariffa5 float8, tariffa6 float8, tariffa7 float8, tariffa8 float8, tariffa9 float8, tariffa10 float8)");
pg_exec("insert into $tableperiodi select idperiodi,datainizio,datafine,tariffa1,tariffa2,tariffa3,tariffa4,tariffa5,tariffa6,tariffa7,tariffa8,tariffa9,tariffa10 from $tableperiodi_temp");
pg_exec("drop table $tableperiodi_temp");
$tablecosti = costi . $anno_cambia;
$tablecosti_temp = cos . $anno_cambia;
pg_exec("drop index $tablecosti"."_idcosti_key");
pg_exec("alter table $tablecosti rename to $tablecosti_temp ");
pg_exec("alter table $tablecosti_temp rename column val_costo to val_cos");
pg_exec("alter table $tablecosti_temp add column val_costo float8");
$costi = pg_exec("select * from $tablecosti_temp");
$num_costi = pg_numrows($costi);
for ($num2 = 0 ; $num2 < $num_costi ; $num2 = $num2 + 1) {
$idcosti = pg_result($costi,$num2,idcosti);
$val_cos = pg_result($costi,$num2,val_cos);
pg_exec("update $tablecosti_temp set val_costo = '$val_cos' where idcosti = '$idcosti'");
} # fine for $num2
pg_exec("create table $tablecosti (idcosti integer unique,nome_costo text, val_costo float8, persona_costo text, provenienza_costo text, tipo_costo text, datainserimento datetime, hostinserimento varchar(50))");
pg_exec("insert into $tablecosti select idcosti,nome_costo,val_costo,persona_costo,provenienza_costo,tipo_costo,datainserimento,hostinserimento from $tablecosti_temp");
pg_exec("drop table $tablecosti_temp");
} # fine for $num1
rename ("datipermanenti","dati");
for ($num1 = 0 ; $num1 < $num_anni ; $num1 = $num1 + 1) {
$anno_mostra = pg_result($anni,$num1,idanni);
copy("$anno_mostra/selectperiodi.php","dati/selectperiodi$anno_mostra.php");
unlink("$anno_mostra/selectperiodi.php");
rmdir("$anno_mostra");
} # fine for $num1
} # fine if ($versione_corrente < "0.19")
else {
#pg_exec("lock table appartamenti");
for ($num1 = 0 ; $num1 < $num_anni ; $num1 = $num1 + 1) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tableregole = regole. $anno_mostra;
#pg_exec("lock table $tableregole");
$tablesoldi = soldi. $anno_mostra;
#pg_exec("lock table $tablesoldi");
} # fine for $num1
#pg_exec("lock table personalizza");
} # fine else if ($versione_corrente < "0.19")

if ($versione_corrente < "0.21") {
$aggiornato = "SI";
$anni = pg_exec("select * from anni order by idanni");
$num_anni = pg_numrows($anni);
for ($num1 = 0 ; $num1 < $num_anni ; $num1 = $num1 + 1) {
$anno_cambia = pg_result($anni,$num1,idanni);
copy ("dati/selectperiodi$anno_cambia.php","dati/selperiodimenu$anno_cambia.php");
} # fine for $num1
} # fine if ($versione_corrente < "0.21")

if ($versione_corrente < "0.22") {
$aggiornato = "SI";
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza_num) values ('aggiunta_tronca_nomi_tab1','0')");
} # fine if ($versione_corrente < "0.22")

if ($versione_corrente < "0.23") {
$aggiornato = "SI";
} # fine if ($versione_corrente < "0.23")

if ($versione_corrente < "0.24") {
$aggiornato = "SI";
} # fine if ($versione_corrente < "0.24")

if ($versione_corrente < "0.30") {
$aggiornato = "SI";
$anni = pg_exec("select * from anni order by idanni");
$num_anni = pg_numrows($anni);
for ($num1 = 0 ; $num1 < $num_anni ; $num1 = $num1 + 1) {
$anno_cambia = pg_result($anni,$num1,idanni);
$tablenometariffe = ntariffe . $anno_cambia;
$tablenometariffe_temp = ntar . $anno_cambia;
pg_exec("alter table $tablenometariffe rename to $tablenometariffe_temp ");
$riga_ntariffe = pg_exec("select * from $tablenometariffe_temp where idntariffe = 1");
$caparra_percent = pg_result($riga_ntariffe,0,caparra_percent);
$caparra_arrotond = pg_result($riga_ntariffe,0,caparra_arrotond);
pg_exec("create table $tablenometariffe (idntariffe integer, nomecostoagg varchar(40), costosettimanale float8, costofinale float8, costopercentuale integer, costop_arrotond float8, regole varchar(40), tariffa1 varchar(40), tariffa2 varchar(40), tariffa3 varchar(40), tariffa4 varchar(40), tariffa5 varchar(40), tariffa6 varchar(40), tariffa7 varchar(40), tariffa8 varchar(40), tariffa9 varchar(40), tariffa10 varchar(40) )");
pg_exec("insert into $tablenometariffe (idntariffe,costosettimanale,costofinale,costopercentuale,costop_arrotond,regole,tariffa1,tariffa2,tariffa3,tariffa4,tariffa5,tariffa6,tariffa7,tariffa8,tariffa9,tariffa10) select idntariffe,costosettimanale,costofinale,costopercentuale,costop_arrotond,regole,tariffa1,tariffa2,tariffa3,tariffa4,tariffa5,tariffa6,tariffa7,tariffa8,tariffa9,tariffa10 from $tablenometariffe_temp");
pg_exec("drop table $tablenometariffe_temp");
pg_exec("update $tablenometariffe set nomecostoagg = 10 where idntariffe = 1");
$idntariffe = pg_exec("select max(idntariffe) from $tablenometariffe");
$idntariffe = pg_result($idntariffe,0,max) + 1;
$num_spostamenti = 3;
if ($idntariffe < 4) $num_spostamenti = $idntariffe - 1;
for ($num2 = $idntariffe ; $num2 <= 3 ; $num2++) {
pg_exec("insert into $tablenometariffe (idntariffe) values ('$num2')");
$idntariffe++;
} # fine for $num2
for ($num2 = 2 ; $num2 <= $num_spostamenti ; $num2++) {
$riga_ntariffe = pg_exec("select * from $tablenometariffe where idntariffe = '$num2'");
if (pg_numrows($riga_ntariffe) != 0) {
$tariffa1 = pg_result($riga_ntariffe,0,tariffa1);
$costosettimanale = pg_result($riga_ntariffe,0,costosettimanale);
$costofinale = pg_result($riga_ntariffe,0,costofinale);
$costopercentuale = pg_result($riga_ntariffe,0,costopercentuale);
$costop_arrotond = pg_result($riga_ntariffe,0,costop_arrotond);
$regole = pg_result($riga_ntariffe,0,regole);
pg_exec("insert into $tablenometariffe (idntariffe) values ('$idntariffe') ");
if ($tariffa1) pg_exec("update $tablenometariffe set tariffa1 = '$tariffa1' where idntariffe = '$idntariffe'");
if ($costosettimanale) pg_exec("update $tablenometariffe set costosettimanale = '$costosettimanale' where idntariffe = '$idntariffe'");
if ($costofinale) pg_exec("update $tablenometariffe set costofinale = '$costofinale' where idntariffe = '$idntariffe'");
if ($costopercentuale) pg_exec("update $tablenometariffe set costopercentuale = '$costopercentuale' where idntariffe = '$idntariffe'");
if ($costop_arrotond) pg_exec("update $tablenometariffe set costop_arrotond = '$costop_arrotond' where idntariffe = '$idntariffe'");
if ($regole) pg_exec("update $tablenometariffe set regole = '$regole' where idntariffe = '$idntariffe'");
$idntariffe++;
pg_exec("delete from $tablenometariffe where idntariffe = '$num2'");
} # fine if (pg_numrows($riga_ntariffe) != 0)
pg_exec("insert into $tablenometariffe (idntariffe) values ('$num2')");
} # fine for $num2
for ($num2 = 1 ; $num2 <= 10 ; $num2++) {
$tariffa = "tariffa".$num2;
pg_exec("update $tablenometariffe set $tariffa = '$caparra_percent' where idntariffe = 2");
pg_exec("update $tablenometariffe set $tariffa = '$caparra_arrotond' where idntariffe = 3");
} # fine for $num2
for ($num2 = 4 ; $num2 < $idntariffe ; $num2++) {
$riga_ntariffe = pg_exec("select * from $tablenometariffe where idntariffe = '$num2'");
if (pg_numrows($riga_ntariffe) != 0) {
$tariffa1 = pg_result($riga_ntariffe,0,tariffa1);
pg_exec("update $tablenometariffe set nomecostoagg = '$tariffa1' where idntariffe = '$num2'");
pg_exec("update $tablenometariffe set tariffa1 = '' where idntariffe = '$num2'");
$regole = pg_exec("select regole from $tablenometariffe where idntariffe = '$num2'");
$regole = pg_result($regole,0,regole);
if (substr($regole,0,1) == "s") {
for ($num3 = 1 ; $num3 <= 10 ; $num3++) {
$tariffa = "tariffa".$num3;
pg_exec("update $tablenometariffe set $tariffa = '1' where idntariffe = '$num2'");
} # fine for $num3
} # fine if (substr($regole,0,1) == "s")
} # fine if (pg_numrows($riga_ntariffe) != 0)
} # fine for $num2
$righe_costi_agg = pg_exec("select * from $tablenometariffe where idntariffe > 3");
for ($num2 = 0 ; $num2 < pg_numrows($righe_costi_agg) ; $num2++) {
$nome_costo_agg = pg_result($righe_costi_agg,$num2,nomecostoagg);
if (!$nome_costo_agg) {
$idntariffe = pg_result($righe_costi_agg,$num2,idntariffe);
pg_exec("delete from $tablenometariffe where idntariffe = '$idntariffe'");
} # fine if (!$nome_costo_agg)
} # fine for $num2
pg_exec("update $tablenometariffe set costosettimanale = NULL,costofinale = NULL,costopercentuale = NULL where idntariffe < 4");
} # fine for $num1
$linee_conn = file("./dati/connessione_db.php");
$PHPR_LOAD_EXT = "NO";
for ($num1 = 0 ; $num1 < count($linee_conn) ; $num1++) {
$linea = $linee_conn[$num1];
if (substr($linea,0,15) == "\$numconnessione") {
$linea = explode("=",$linea);
for ($num2 = 0 ; $num2 < count($linea) ; $num2++) {
if (substr($linea[$num2],-6) ==  "dbname" or substr($linea[$num2],-7) ==  "dbname ") {
$parte = explode(" ",$linea[$num2+1]);
for ($num3 = 0 ; $num3 < count($parte) ; $num3++) {
if ($parte[$num3] != "") {
$PHPR_DB_NAME = str_replace("\"","",$parte[$num3]);
$PHPR_DB_NAME = str_replace("\'","",$PHPR_DB_NAME);
break;
} # fine if ($parte[$num3] != "")
} # fine for $num3
} # fine if (substr($linea[$num2],-6) ==  "dbname" or...)
if (substr($linea[$num2],-4) ==  "host" or substr($linea[$num2],-5) ==  "host ") {
$parte = explode(" ",$linea[$num2+1]);
for ($num3 = 0 ; $num3 < count($parte) ; $num3++) {
if ($parte[$num3] != "") {
$PHPR_DB_HOST = str_replace("\"","",$parte[$num3]);
$PHPR_DB_HOST = str_replace("\'","",$PHPR_DB_HOST);
break;
} # fine if ($parte[$num3] != "")
} # fine for $num3
} # fine if (substr($linea[$num2],-4) ==  "host" or...)
if (substr($linea[$num2],-4) ==  "port" or substr($linea[$num2],-5) ==  "port ") {
$parte = explode(" ",$linea[$num2+1]);
for ($num3 = 0 ; $num3 < count($parte) ; $num3++) {
if ($parte[$num3] != "") {
$PHPR_DB_PORT = str_replace("\"","",$parte[$num3]);
$PHPR_DB_PORT = str_replace("\'","",$PHPR_DB_PORT);
break;
} # fine if ($parte[$num3] != "")
} # fine for $num3
} # fine if (substr($linea[$num2],-4) ==  "port" or...)
if (substr($linea[$num2],-4) ==  "user" or substr($linea[$num2],-5) ==  "user ") {
$parte = explode(" ",$linea[$num2+1]);
for ($num3 = 0 ; $num3 < count($parte) ; $num3++) {
if ($parte[$num3] != "") {
$PHPR_DB_USER = str_replace("\"","",$parte[$num3]);
$PHPR_DB_USER = str_replace("\'","",$PHPR_DB_USER);
break;
} # fine if ($parte[$num3] != "")
} # fine for $num3
} # fine if (substr($linea[$num2],-4) ==  "user" or...)
if (substr($linea[$num2],-8) ==  "password" or substr($linea[$num2],-9) ==  "password ") {
$parte = explode(" ",$linea[$num2+1]);
for ($num3 = 0 ; $num3 < count($parte) ; $num3++) {
if ($parte[$num3] != "") {
$PHPR_DB_PASS = str_replace("\"","",$parte[$num3]);
$PHPR_DB_PASS = str_replace("\'","",$PHPR_DB_PASS);
break;
} # fine if ($parte[$num3] != "")
} # fine for $num3
} # fine if (substr($linea[$num2],-4) ==  "password" or...)
} # fine for $num2
} # fine if (substr($linea,0,15) == "\$numconnessione")
if (substr($linea,0,14) == "dl(\"pgsql.so\")") $PHPR_LOAD_EXT = "SI";
} # fine for $num1
unlink("./dati/connessione_db.php");
$file_conn = fopen("./dati/dati_connessione.php","w+");
fwrite($file_conn,"<?php
\$PHPR_DB_TYPE = \"postgresql\";
\$PHPR_DB_NAME = \"$PHPR_DB_NAME\";
\$PHPR_DB_HOST = \"$PHPR_DB_HOST\";
\$PHPR_DB_PORT = \"$PHPR_DB_PORT\";
\$PHPR_DB_USER = \"$PHPR_DB_USER\";
\$PHPR_DB_PASS = \"$PHPR_DB_PASS\";
\$PHPR_LOAD_EXT = \"$PHPR_LOAD_EXT\";
?>");
fclose($file_conn);
# cambio idappartamenti da text a varchar(100) in appartamenti, $tableprenota e $tableregole
pg_exec("alter table appartamenti rename to appart");
pg_exec("drop index appartamenti_pkey");
pg_exec("alter table appart rename column idappartamenti to idappart");
pg_exec("alter table appart add column idappartamenti varchar(100)");
$appartamenti = pg_exec("select * from appart");
$num_appartamenti = pg_numrows($appartamenti);
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1 = $num1 + 1) {
$idapp = pg_result($appartamenti,$num1,idappart);
pg_exec("update appart set idappartamenti = '$idapp' where idappart = '$idapp'");
} # fine for $num1
pg_exec("create table appartamenti ( idappartamenti varchar(100) primary key, numpiano text, maxoccupanti integer, numcasa text, app_vicini text, priorita integer, commento text )");
pg_exec("insert into appartamenti select idappartamenti,numpiano,maxoccupanti,numcasa,app_vicini,priorita,commento from appart");
pg_exec("drop table appart");
$anni = pg_exec("select * from anni order by idanni");
$num_anni = pg_numrows($anni);
for ($num1 = 0 ; $num1 < $num_anni ; $num1 = $num1 + 1) {
$anno_cambia = pg_result($anni,$num1,idanni);
$tableprenota = prenota . $anno_cambia;
$tableprenota_temp = pren . $anno_cambia;
pg_exec("alter table $tableprenota rename to $tableprenota_temp");
pg_exec("drop index $tableprenota"."_pkey");
pg_exec("alter table $tableprenota_temp rename column idappartamenti to idappart");
pg_exec("alter table $tableprenota_temp add column idappartamenti varchar(100)");
$prenotazioni = pg_exec("select * from $tableprenota_temp");
$num_prenotazioni = pg_numrows($prenotazioni);
for ($num2 = 0 ; $num2 < $num_prenotazioni ; $num2 = $num2 + 1) {
$idprenota = pg_result($prenotazioni,$num2,idprenota);
$idapp = pg_result($prenotazioni,$num2,idappart);
pg_exec("update $tableprenota_temp set idappartamenti = '$idapp' where idprenota = '$idprenota'");
} # fine for $num2
pg_exec("create table $tableprenota (idprenota integer primary key, idclienti integer, idappartamenti varchar(100), iddatainizio integer, iddatafine integer, assegnazioneapp varchar(4), app_assegnabili text, num_persone integer, idprenota_compagna text, tariffa text, costiaggiuntivi text, sconto float8, tariffa_tot float8, caparra float8, pagato float8, commento text, conferma varchar(4), datainserimento datetime, hostinserimento varchar(50), data_modifica datetime )");
pg_exec("insert into $tableprenota select idprenota,idclienti,idappartamenti,iddatainizio,iddatafine,assegnazioneapp,app_assegnabili,num_persone,idprenota_compagna,tariffa,costiaggiuntivi,sconto,tariffa_tot,caparra,pagato,commento,conferma,datainserimento,hostinserimento,data_modifica from $tableprenota_temp");
pg_exec("drop table $tableprenota_temp");
$tableregole = regole . $anno_cambia;
$tableregole_temp = reg . $anno_cambia;
pg_exec("alter table $tableregole rename to $tableregole_temp");
pg_exec("alter table $tableregole_temp rename column app_agenzia to app_ag");
pg_exec("alter table $tableregole_temp add column app_agenzia varchar(100)");
$regole = pg_exec("select * from $tableregole_temp");
$num_regole = pg_numrows($regole);
for ($num2 = 0 ; $num2 < $num_regole ; $num2 = $num2 + 1) {
$idregole = pg_result($regole,$num2,idregole);
$app_ag = pg_result($regole,$num2,app_ag);
pg_exec("update $tableregole_temp set app_agenzia = '$app_ag' where idregole = '$idregole'");
} # fine for $num2
pg_exec("create table $tableregole (idregole integer, app_agenzia varchar(100), tariffa_per_app text, iddatainizio integer, iddatafine integer, motivazione text)");
pg_exec("insert into $tableregole select idregole,app_agenzia,tariffa_per_app,iddatainizio,iddatafine,motivazione from $tableregole_temp");
pg_exec("drop table $tableregole_temp");
} # fine for $num1
pg_exec("alter table personalizza rename to pers");
pg_exec("drop index personalizza_pkey");
pg_exec("alter table pers rename column idpersonalizza to idpers");
pg_exec("alter table pers add column idpersonalizza varchar(50)");
$personalizzazioni = pg_exec("select * from pers");
$num_personalizzazioni = pg_numrows($personalizzazioni);
for ($num1 = 0 ; $num1 < $num_personalizzazioni ; $num1 = $num1 + 1) {
$idpers = pg_result($personalizzazioni,$num1,idpers);
pg_exec("update pers set idpersonalizza = '$idpers' where idpers = '$idpers'");
} # fine for $num1
pg_exec("create table personalizza (idpersonalizza varchar(50) primary key, valpersonalizza text, valpersonalizza_num integer)");
pg_exec("insert into personalizza select idpersonalizza,valpersonalizza,valpersonalizza_num from pers");
pg_exec("drop table pers");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza_num) values ('num_righe_tab_tutte_prenota',200)");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza_num) values ('num_righe_tab_storia_soldi',200)");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza) values ('stile_data','europa')");
pg_exec("insert into personalizza (idpersonalizza,valpersonalizza_num) values ('num_righe_tab_tutti_clienti','200')");
pg_exec("set datestyle to 'iso'");
for ($num_a = 0 ; $num_a < $num_anni ; $num_a++) {
$anno_cambia = pg_result($anni,$num_a,idanni);
$tableperiodi = "periodi" . $anno_cambia;
$tipo_periodi = pg_exec("select * from anni where idanni = $anno_cambia");
$tipo_periodi = pg_result($tipo_periodi,0,tipo_periodi);
if ($tipo_periodi == "g") $aggiungi_giorni = 1;
else $aggiungi_giorni = 7;
$periodi = pg_exec("select * from $tableperiodi order by idperiodi");
$num_periodi = pg_numrows($periodi);
$numgiorno = pg_result($periodi,0,datainizio);
$numgiorno = explode("-",$numgiorno);
$mese_ini = $numgiorno[1];
$numgiorno = $numgiorno[2];
$fileaperto = fopen("dati/selectperiodi$anno_cambia.php","w+");
flock($fileaperto,2);
fwrite($fileaperto,"<?php 
echo \"
");
for ($num1 = 0 ; $num1 < $num_periodi ; $num1 = $num1 + 1) {
$datainizio = date("Y-m-d" , mktime(0,0,0,$mese_ini,$numgiorno,$anno_cambia));
$nome_giorno = date("D" , mktime(0,0,0,$mese_ini,$numgiorno,$anno_cambia));
$numgiorno = $numgiorno + $aggiungi_giorni;
if ($tipo_periodi == "g") {
if ($nome_giorno == "Sun") $nome_giorno = mex(" Do",$pag);
if ($nome_giorno == "Mon") $nome_giorno = mex(" Lu",$pag);
if ($nome_giorno == "Tue") $nome_giorno = mex(" Ma",$pag);
if ($nome_giorno == "Wed") $nome_giorno = mex(" Me",$pag);
if ($nome_giorno == "Thu") $nome_giorno = mex(" Gi",$pag);
if ($nome_giorno == "Fri") $nome_giorno = mex(" Ve",$pag);
if ($nome_giorno == "Sat") $nome_giorno = mex(" Sa",$pag);
} # fine if ($tipo_periodi == "g")
else $nome_giorno = "";
$nome_mese = substr($datainizio,5,2);
if ($nome_mese == "01") $nome_mese = mex("Gen",$pag);
if ($nome_mese == "02") $nome_mese = mex("Feb",$pag);
if ($nome_mese == "03") $nome_mese = mex("Mar",$pag);
if ($nome_mese == "04") $nome_mese = mex("Apr",$pag);
if ($nome_mese == "05") $nome_mese = mex("Mag",$pag);
if ($nome_mese == "06") $nome_mese = mex("Giu",$pag);
if ($nome_mese == "07") $nome_mese = mex("Lug",$pag);
if ($nome_mese == "08") $nome_mese = mex("Ago",$pag);
if ($nome_mese == "09") $nome_mese = mex("Set",$pag);
if ($nome_mese == "10") $nome_mese = mex("Ott",$pag);
if ($nome_mese == "11") $nome_mese = mex("Nov",$pag);
if ($nome_mese == "12") $nome_mese = mex("Dic",$pag);
$numero_giorno = substr($datainizio,8,2);
$numero_anno = substr($datainizio,0,4);
fwrite($fileaperto,"<option value=\\\"$datainizio\\\">$nome_mese $numero_giorno$nome_giorno, $numero_anno</option>
");
} # fine for $num1
$datafine = date("Y-m-d" , mktime(0,0,0,$mese_ini,$numgiorno,$anno_cambia));
$nome_mese = substr($datafine,5,2);
if ($nome_mese == "01") $nome_mese = mex("Gen",$pag);
if ($nome_mese == "02") $nome_mese = mex("Feb",$pag);
if ($nome_mese == "03") $nome_mese = mex("Mar",$pag);
if ($nome_mese == "04") $nome_mese = mex("Apr",$pag);
if ($nome_mese == "05") $nome_mese = mex("Mag",$pag);
if ($nome_mese == "06") $nome_mese = mex("Giu",$pag);
if ($nome_mese == "07") $nome_mese = mex("Lug",$pag);
if ($nome_mese == "08") $nome_mese = mex("Ago",$pag);
if ($nome_mese == "09") $nome_mese = mex("Set",$pag);
if ($nome_mese == "10") $nome_mese = mex("Ott",$pag);
if ($nome_mese == "11") $nome_mese = mex("Nov",$pag);
if ($nome_mese == "12") $nome_mese = mex("Dic",$pag);
$numero_giorno = substr($datafine,8,2);
$numero_anno = substr($datafine,0,4);
fwrite($fileaperto,"<option value=\\\"$datafine\\\">$nome_mese $numero_giorno, $numero_anno</option>
");
fwrite($fileaperto,"\";
?>");
flock($fileaperto,3);
fclose($fileaperto);
copy ("dati/selectperiodi$anno_cambia.php","dati/selperiodimenu$anno_cambia.php");
} # fine for $num_a
} # fine if ($versione_corrente < "0.30")

if ($versione_corrente < "0.31") {
$aggiornato = "SI";
$anni = esegui_query("select * from anni order by idanni");
$num_anni = numlin_query($anni);
for ($num_a = 0 ; $num_a < $num_anni ; $num_a++) {
$anno_cambia = risul_query($anni,$num_a,idanni);
$tablenometariffe = ntariffe . $anno_cambia;
$idntariffe = esegui_query("select max(idntariffe) from $tablenometariffe");
$idntariffe = risul_query($idntariffe,0,0) + 1;
esegui_query("update $tablenometariffe set regole = '$idntariffe' where idntariffe = 1");
} # fine for $num_a
} # fine if ($versione_corrente < "0.31")

if ($versione_corrente < "0.32") {
$aggiornato = "SI";
include("./dati/dati_connessione.php");
$file_conn = fopen("./dati/dati_connessione.php","w+");
fwrite($file_conn,"<?php
\$PHPR_DB_TYPE = \"$PHPR_DB_TYPE\";
\$PHPR_DB_NAME = \"$PHPR_DB_NAME\";
\$PHPR_DB_HOST = \"$PHPR_DB_HOST\";
\$PHPR_DB_PORT = \"$PHPR_DB_PORT\";
\$PHPR_DB_USER = \"$PHPR_DB_USER\";
\$PHPR_DB_PASS = \"$PHPR_DB_PASS\";
\$PHPR_LOAD_EXT = \"$PHPR_LOAD_EXT\";
\$PHPR_TAB_PRE = \"\";
?>");
fclose($file_conn);
$PHPR_TAB_PRE = "";
$col_tab_tutte_prenota = esegui_query("select * from personalizza where idpersonalizza = 'col_tab_tutte_prenota'");
$col_tab_tutte_prenota = risul_query($col_tab_tutte_prenota,0,valpersonalizza);
if ($col_tab_tutte_prenota) $col_tab_tutte_prenota .= "#@&tc";
else $col_tab_tutte_prenota = "tc";
esegui_query("update personalizza set valpersonalizza = '$col_tab_tutte_prenota' where idpersonalizza = 'col_tab_tutte_prenota'");
} # fine if ($versione_corrente < "0.32")

if ($versione_corrente < "0.33") {
$aggiornato = "SI";
} # fine if ($versione_corrente < "0.33")

if ($versione_corrente < "0.40") {
$aggiornato = "SI";
esegui_query("create table ".$PHPR_TAB_PRE."utenti (idutenti integer primary key, nome_utente text, password text, tipo_pass varchar(1) )");
esegui_query("insert into ".$PHPR_TAB_PRE."utenti (idutenti, nome_utente, tipo_pass) values (1,'admin','n')");
esegui_query("create table ".$PHPR_TAB_PRE."privilegi (idutente integer, anno integer, regole1_consentite text, tariffe_consentite text, costi_agg_consentiti text, contratti_consentiti text, priv_ins_prenota varchar(20), priv_mod_prenota varchar(35), priv_mod_pers varchar(15), priv_ins_clienti varchar(10), prefisso_clienti text, priv_ins_costi varchar(5), priv_vedi_tab varchar(30), priv_ins_tariffe varchar(10), priv_ins_regole varchar(10) )");
esegui_query("create table ".$PHPR_TAB_PRE."sessioni (idsessioni varchar(30) primary key, idutente integer, indirizzo_ip text, user_agent text, ultimo_accesso datetime)");
esegui_query("create table ".$PHPR_TAB_PRE."transazioni (idtransazioni varchar(30) primary key, idsessione varchar(30), tipo_transazione varchar(5), anno integer, spostamenti text, dati_transazione1 text, dati_transazione2 text, dati_transazione3 text, dati_transazione4 text, dati_transazione5 text, dati_transazione6 text, dati_transazione7 text, dati_transazione8 text, dati_transazione9 text, dati_transazione10 text, dati_transazione11 text, dati_transazione12 text, dati_transazione13 text, dati_transazione14 text, dati_transazione15 text, dati_transazione16 text, dati_transazione17 text, dati_transazione18 text, ultimo_accesso datetime)");
esegui_query("alter table ".$PHPR_TAB_PRE."personalizza rename to ".$PHPR_TAB_PRE."pers");
esegui_query("create table ".$PHPR_TAB_PRE."personalizza (idpersonalizza varchar(50) not null, idutente integer, valpersonalizza text, valpersonalizza_num integer)");
$pers = esegui_query("select * from ".$PHPR_TAB_PRE."pers");
for ($num1 = 0 ; $num1 < numlin_query($pers) ; $num1++) {
$idpersonalizza = risul_query($pers,$num1,idpersonalizza);
$valpersonalizza = risul_query($pers,$num1,valpersonalizza);
$valpersonalizza_num = risul_query($pers,$num1,valpersonalizza_num);
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,valpersonalizza,valpersonalizza_num) values ('$idpersonalizza','$valpersonalizza','$valpersonalizza_num')");
} # fine for $num1
esegui_query("drop table ".$PHPR_TAB_PRE."pers");
esegui_query("update ".$PHPR_TAB_PRE."personalizza set idutente = '1'");
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza_num) values ('minuti_durata_sessione','1','90')");
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza_num) values ('ore_anticipa_periodo_corrente','1','0')");
esegui_query("alter table ".$PHPR_TAB_PRE."clienti add column utente_inserimento integer");
esegui_query("update ".$PHPR_TAB_PRE."clienti set utente_inserimento = '1'");
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tableprenota = $PHPR_TAB_PRE."prenota". $anno_mostra;
esegui_query("alter table $tableprenota add column utente_inserimento integer");
esegui_query("update $tableprenota set utente_inserimento = '1'");
$tablecosti = $PHPR_TAB_PRE."costi". $anno_mostra;
esegui_query("alter table $tablecosti add column utente_inserimento integer");
esegui_query("update $tablecosti set utente_inserimento = '1' where idcosti != '0'");
$tablesoldi = $PHPR_TAB_PRE."soldi". $anno_mostra;
esegui_query("alter table $tablesoldi add column utente_inserimento integer");
esegui_query("update $tablesoldi set utente_inserimento = '1'");
} # fine for $num1
include("./dati/lingua.php");
$fileaperto = fopen("dati/lingua.php","w+");
flock($fileaperto,2);
fwrite($fileaperto,"<?php
\$lingua[1] = \"$lingua\";
?>");
flock($fileaperto,3);
fclose($fileaperto);
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_cambia = risul_query($anni,$num1,idanni);
rename("./dati/selectperiodi$anno_cambia.php","./dati/selectperiodi$anno_cambia.1.php");
rename("./dati/selperiodimenu$anno_cambia.php","./dati/selperiodimenu$anno_cambia.1.php");
} # fine for $num1
} # fine if ($versione_corrente < "0.40")

if ($versione_corrente < "0.41") {
$aggiornato = "SI";
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tableregole = $PHPR_TAB_PRE."regole".$anno_mostra;
esegui_query("alter table $tableregole add column tariffa_per_utente text");
$tablesoldi = $PHPR_TAB_PRE."soldi".$anno_mostra;
esegui_query("update $tablesoldi set utente_inserimento = '1' where utente_inserimento = '' or utente_inserimento is null");
} # fine for $num1
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('tutti_fissi','1','NO')");
} # fine if ($versione_corrente < "0.41")

if ($versione_corrente < "0.42") {
$aggiornato = "SI";
} # fine if ($versione_corrente < "0.42")

if ($versione_corrente < "0.43") {
$aggiornato = "SI";
} # fine if ($versione_corrente < "0.43")

if ($versione_corrente < "0.44") {
$aggiornato = "SI";
} # fine if ($versione_corrente < "0.44")


$utenti = esegui_query("select * from ".$PHPR_TAB_PRE."utenti order by idutenti");
$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente and $id_utente == 1) {


if ($versione_corrente < "0.50") {
$aggiornato = "SI";
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tablenometariffe = $PHPR_TAB_PRE."ntariffe". $anno_mostra;
$tablenometariffetemp = $PHPR_TAB_PRE."ntariffetemp". $anno_mostra;
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1");
$num_tariffe_tab = risul_query($rigatariffe,0,nomecostoagg);
esegui_query("alter table $tablenometariffe rename to $tablenometariffetemp");
$query = "create table $tablenometariffe (idntariffe integer, nomecostoagg varchar(40), tipo_ca varchar(2), valore_ca float8, arrotonda_ca float4, associasett_ca varchar(1), numsett_ca varchar(20), moltiplica_ca varchar(1), periodipermessi_ca text, variazione_ca varchar(10), mostra_ca varchar(1), letto_ca varchar(1), numlimite_ca integer";
for ($num2 = 1 ; $num2 <= $num_tariffe_tab ; $num2++) {
$nome_nuova_tariffa = "tariffa" . $num2;
$query .= ", $nome_nuova_tariffa varchar(40)";
} # fine for $num2
esegui_query($query.")");
$dati_ntariffe = esegui_query("select * from $tablenometariffetemp order by idntariffe");
for ($num2 = 0 ; $num2 < 3 ; $num2++) {
$idntariffe = risul_query($dati_ntariffe,$num2,idntariffe);
$lista_colonne = "idntariffe";
$lista_valori = "'$idntariffe'";
if ($num2 == 0) {
$nomecostoagg = risul_query($dati_ntariffe,$num2,nomecostoagg);
$numlimite_ca = 5;
$lista_colonne .= ",nomecostoagg,numlimite_ca";
$lista_valori .= ",'$nomecostoagg','$numlimite_ca'";
} # fine if ($num2 == 0)
for ($num3 = 1 ; $num3 <= $num_tariffe_tab ; $num3++) {
$nome_tariffa = "tariffa" . $num3;
$val_tariffa = risul_query($dati_ntariffe,$num2,$nome_tariffa);
$lista_colonne .= ",$nome_tariffa";
$lista_valori .= ",'$val_tariffa'";
} # fine for $num3
esegui_query("insert into $tablenometariffe ($lista_colonne) values ($lista_valori)");
} # fine for $num2
esegui_query("insert into $tablenometariffe (idntariffe) values ('4')");
$idntariffe = 5;
unset($id_costo_tiponome);
for ($num2 = 3 ; $num2 < numlin_query($dati_ntariffe) ; $num2++) {
$nomecostoagg = risul_query($dati_ntariffe,$num2,nomecostoagg);
$lista_colonne = "idntariffe,nomecostoagg";
$lista_valori = "'$idntariffe','$nomecostoagg'";
$idntariffe++;
esegui_query("update $tablenometariffe set numlimite_ca = '$idntariffe' where idntariffe = '1'");
$regole = risul_query($dati_ntariffe,$num2,regole);
if (substr($regole,0,1) == "r") $mostra_ca = "s";
else $mostra_ca = "n";
$costofinale = (string) risul_query($dati_ntariffe,$num2,costofinale);
if ($costofinale != "") {
$tipo_ca = "uf";
$valore_ca = $costofinale;
} # fine if ($costofinale != "")
$costopercentuale = (string) risul_query($dati_ntariffe,$num2,costopercentuale);
if ($costopercentuale != "") {
$tipo_ca = "up";
$valore_ca = $costopercentuale;
$arrotonda_ca = risul_query($dati_ntariffe,$num2,costop_arrotond);
$lista_colonne .= ",arrotonda_ca";
$lista_valori .= ",'$arrotonda_ca'";
} # fine if ($costopercentuale != "")
$costosettimanale = (string) risul_query($dati_ntariffe,$num2,costosettimanale);
if ($costosettimanale != "") {
$tipo_ca = "sf";
$valore_ca = $costosettimanale;
$associasett_ca = "n";
$numsett_ca = substr($regole,1,1);
if (substr($regole,2,1) == "s") $moltiplica_ca = "c";
else $moltiplica_ca = "1";
if (substr($regole,3,1) == "s") $letto_ca = "s";
else $letto_ca = "n";
} # fine if ($costosettimanale != "")
else {
$associasett_ca = "";
$numsett_ca = "";
if (substr($regole,1,1) == "s") $moltiplica_ca = "c";
else $moltiplica_ca = "1";
if (substr($regole,2,1) == "s") $letto_ca = "s";
else $letto_ca = "n";
} # fine else if ($costosettimanale)
$id_costo_tiponome[$tipo_ca][$nomecostoagg] = ($idntariffe - 1);
if (substr($tipo_ca,1,1) == "p") $variazione_ca = "snnnn";
else $variazione_ca = "nnnnn";
$lista_colonne .= ",tipo_ca,valore_ca,mostra_ca,variazione_ca,associasett_ca,numsett_ca,moltiplica_ca,letto_ca";
$lista_valori .= ",'$tipo_ca','$valore_ca','$mostra_ca','$variazione_ca','$associasett_ca','$numsett_ca','$moltiplica_ca','$letto_ca'";
for ($num3 = 1 ; $num3 <= $num_tariffe_tab ; $num3++) {
$nome_tariffa = "tariffa" . $num3;
$val_tariffa = risul_query($dati_ntariffe,$num2,$nome_tariffa);
if ($val_tariffa == 1) $val_tariffa = "ss";
$lista_colonne .= ",$nome_tariffa";
$lista_valori .= ",'$val_tariffa'";
} # fine for $num3
esegui_query("insert into $tablenometariffe ($lista_colonne) values ($lista_valori)");
} # fine for $num2
esegui_query("drop table $tablenometariffetemp");
$tablecostiprenota = $PHPR_TAB_PRE."costiprenota". $anno_mostra;
esegui_query("create table $tablecostiprenota (idcostiprenota integer primary key, idprenota integer, tipo varchar(2), nome varchar(40), valore float8, arrotonda float4, associasett varchar(1), settimane text, moltiplica text, letto varchar(1), numlimite integer, idntariffe integer, variazione varchar(10), varmoltiplica varchar(1), varnumsett varchar(20), varperiodipermessi text, vartariffeassociate varchar(10), datainserimento $DATETIME, hostinserimento varchar(50), utente_inserimento integer)");
crea_indice($tablecostiprenota,"idprenota","iidpcostiprenota".$anno_mostra);
$tableprenota = $PHPR_TAB_PRE."prenota". $anno_mostra;
$tableperiodi = $PHPR_TAB_PRE."periodi". $anno_mostra;
if ($PHPR_DB_TYPE == "postgresql") esegui_query("alter table $tableprenota rename column costiaggiuntivi to tariffesettimanali");
if ($PHPR_DB_TYPE == "mysql") esegui_query("alter table $tableprenota change costiaggiuntivi tariffesettimanali text");
esegui_query("alter table $tableprenota add column costiassociati varchar(1)");
$datainserimento = date("Y-m-d H:i:s");
$prenotazioni = esegui_query("select idprenota,iddatainizio,iddatafine,tariffa,tariffesettimanali,utente_inserimento from $tableprenota");
$idcostiprenota = 1;
for ($num2 = 0 ; $num2 < numlin_query($prenotazioni) ; $num2++) {
$idprenota = risul_query($prenotazioni,$num2,idprenota);
$id_utente_ins = risul_query($prenotazioni,$num2,utente_inserimento);
$d_costi_aggiuntivi_int = risul_query($prenotazioni,$num2,tariffesettimanali);
if ($d_costi_aggiuntivi_int) {
$d_costi_aggiuntivi = explode("#@&",$d_costi_aggiuntivi_int);
$d_num_costi_aggiuntivi = count($d_costi_aggiuntivi);
} # fine if ($d_costi_aggiuntivi)
else $d_num_costi_aggiuntivi = 0;
if ($d_num_costi_aggiuntivi > 0) esegui_query("update $tableprenota set costiassociati = 's' where idprenota = '$idprenota'");
else esegui_query("update $tableprenota set costiassociati = 'n' where idprenota = '$idprenota'");
for ($numca = 0 ; $numca < $d_num_costi_aggiuntivi ; $numca++) {
$dd_costi_aggiuntivi = explode("#?&",$d_costi_aggiuntivi[$numca]);
$dd_num_costi_aggiuntivi = count($dd_costi_aggiuntivi);
$nome = $dd_costi_aggiuntivi[1];
if ($dd_costi_aggiuntivi[0] == "cf") {
$tipo = "uf";
$valore = $dd_costi_aggiuntivi[2];
$moltiplica = $dd_costi_aggiuntivi[3];
if (!$moltiplica) $moltiplica = 1;
if ($dd_costi_aggiuntivi[4] == "s") $letto = "s";
else $letto = "n";
} # fine if ($dd_costi_aggiuntivi[0] == "cf")
if ($dd_costi_aggiuntivi[0] == "cs") {
$tipo = "sf";
$settimane = $dd_costi_aggiuntivi[2];
$moltiplica = $dd_costi_aggiuntivi[3];
if (!$moltiplica) $moltiplica = 1;
$valore = $dd_costi_aggiuntivi[4];
if ($dd_costi_aggiuntivi[5] == "s") $letto = "s";
else $letto = "n";
} # fine if ($dd_costi_aggiuntivi[0] == "cs")
else $settimane = "";
if ($dd_costi_aggiuntivi[0] == "cp") {
$tipo = "up";
$moltiplica = $dd_costi_aggiuntivi[2];
$valore = $dd_costi_aggiuntivi[3];
$arrotonda = $dd_costi_aggiuntivi[4];
if ($dd_costi_aggiuntivi[5] == "s") $letto = "s";
else $letto = "n";
} # fine if ($dd_costi_aggiuntivi[0] == "cp")
else $arrotonda = "";
if ($id_costo_tiponome[$tipo][$nome]) $idntariffe_ins = $id_costo_tiponome[$tipo][$nome];
else $idntariffe_ins = -1;
esegui_query("insert into $tablecostiprenota (idcostiprenota,idprenota,tipo,nome,valore,arrotonda,associasett,settimane,moltiplica,letto,idntariffe,varmoltiplica,varnumsett,datainserimento,hostinserimento,utente_inserimento) values ('$idcostiprenota','$idprenota','$tipo','$nome','$valore','$arrotonda','n','$settimane','$moltiplica','$letto','$idntariffe_ins','c','c','$datainserimento','$HOSTNAME','$id_utente_ins')");
$idcostiprenota++;
} # fine for $numca
$tariffa = risul_query($prenotazioni,$num2,tariffa);
$tariffa = explode("#@&",$tariffa);
$nome_tariffa = $tariffa[0];
$costo_tariffa = $tariffa[1];
$iddatainizio = risul_query($prenotazioni,$num2,iddatainizio);
$iddatafine = risul_query($prenotazioni,$num2,iddatafine);
if ($iddatainizio != 0) {
$tariffa_trovata = "NO";
unset($lista_tariffe);
for ($numtariffa = 1 ; $numtariffa <= $num_tariffe_tab ; $numtariffa++) {
$nometariffa = risul_query($rigatariffe,0,"tariffa".$numtariffa);
if ($tariffa == $nometariffa or $tariffa == "tariffa".$numtariffa) {
$tariffa_trovata = "SI";
$tariffa_num = "tariffa".$numtariffa;
} # fine if ($tariffa == $nometariffa or $tariffa == "tariffa".$numtariffa)
} # fine for $numtariffa
if ($tariffa_trovata != "NO") {
$somma_tariffe = 0;
for ($num3 = $iddatainizio ; $num3 <= $iddatafine ; $num3++) {
$tariffa_periodo = esegui_query("select $tariffa_num from $tableperiodi where idperiodi = '$num3'");
$tariffa_periodo = risul_query($tariffa_periodo,0,$tariffa_num);
if ($tariffa_periodo != "") {
$lista_tariffe .= ",".$tariffa_periodo;
$somma_tariffe = $somma_tariffe + $tariffa_periodo;
} # fine if ($tariffa_periodo != "")
else $tariffa_trovata = "NO";
} # fine for $num3
if ($somma_tariffe != $costo_tariffa) $tariffa_trovata = "NO";
} # fine if ($tariffa_trovata != "NO")
if ($tariffa_trovata == "NO") {
unset($lista_tariffe);
$numero_settimane = $iddatafine - $iddatainizio + 1;
$tariffa_periodo = $costo_tariffa / $numero_settimane;
$tariffa_periodo_ar = floor($tariffa_periodo * 100);
$tariffa_periodo_ar = $tariffa_periodo_ar / 100;
for ($num3 = $iddatainizio ; $num3 <= $iddatafine ; $num3++) {
if ($num3 == $iddatafine) $tariffa_periodo_ar = $tariffa_periodo_ar + ( $costo_tariffa - ( $tariffa_periodo_ar * $numero_settimane ) );
$lista_tariffe .= ",".$tariffa_periodo_ar;
} # fine for $num3
} # fine if ($tariffa_trovata == "NO")
$lista_tariffe = substr($lista_tariffe,1);
esegui_query("update $tableprenota set tariffesettimanali = '$lista_tariffe' where idprenota = '$idprenota'");
} # fine if ($iddatainizio != 0)
} # fine for $num2
} # fine for $num1
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
for ($num2 = 0 ; $num2 < numlin_query($utenti) ; $num2++) {
$idutente_mostra = risul_query($utenti,$num2,idutenti);
$file1 = "./dati/selectperiodi$anno_mostra.$idutente_mostra".".php";
$file2 = "./dati/selperiodimenu$anno_mostra.$idutente_mostra".".php";
for ($num3 = 1 ; $num3 <= 2 ; $num3++) {
$file = ${"file".$num3};
$file_intero = @file($file);
if ($file_intero) {
$fileaperto = fopen("$file","w+");
flock($fileaperto,2);
fwrite($fileaperto,"<?php
echo \"
");
for ($num4 = 0 ; $num4 < count($file_intero) ; $num4++) {
if (substr($file_intero[$num4],0,7) == "<option") {
$data_option = substr($file_intero[$num4],16,10);
fwrite($fileaperto,str_replace("$data_option\\\">","$data_option\\\"\$sel".str_replace("-","",$data_option).">",$file_intero[$num4]));
} # fine if (substr($file_intero[$num4],0,7) == "<option")
} # fine for $num1
fwrite($fileaperto,"\";
?>");
flock($fileaperto,3);
fclose($fileaperto);
} # fine if ($file_intero)
} # fine for $num3
} # fine for $num2
} # fine for $num1
$righe = esegui_query("select * from ".$PHPR_TAB_PRE."personalizza where idpersonalizza = 'col_tab_tutte_prenota'");
$num_righe = numlin_query($righe);
for ($num1 = 0 ; $num1 < $num_righe ; $num1++) {
$col_tab_tutte_prenota = risul_query($righe,$num1,valpersonalizza);
$id_utente_mod = risul_query($righe,$num1,idutente);
if (substr($col_tab_tutte_prenota,0,5) == "cf#?&" or substr($col_tab_tutte_prenota,0,5) == "cp#?&") $col_tab_tutte_prenota = "cu#?&".substr($col_tab_tutte_prenota,5);
$col_tab_tutte_prenota = str_replace("#@&cf#?&","#@&cu#?&",$col_tab_tutte_prenota);
$col_tab_tutte_prenota = str_replace("#@&cp#?&","#@&cu#?&",$col_tab_tutte_prenota);
esegui_query("update ".$PHPR_TAB_PRE."personalizza set valpersonalizza = '$col_tab_tutte_prenota' where idpersonalizza = 'col_tab_tutte_prenota' and idutente = '$id_utente_mod'");
} # fine for $num1
} # fine if ($versione_corrente < "0.50")

if ($versione_corrente < "0.51") {
$aggiornato = "SI";
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tableprenota = $PHPR_TAB_PRE."prenota".$anno_mostra;
$tablesoldi = $PHPR_TAB_PRE."soldi".$anno_mostra;
esegui_query("alter table $tableprenota add column metodo_pagamento text");
esegui_query("alter table $tablesoldi add column metodo_pagamento text");
esegui_query("alter table $tableprenota add column checkin $DATETIME");
esegui_query("alter table $tableprenota add column checkout $DATETIME");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno_mostra;
$dati_ntariffe = esegui_query("select * from $tablenometariffe where idntariffe > 4 order by idntariffe");
for ($num2 = 0 ; $num2 < numlin_query($dati_ntariffe) ; $num2++) {
$idntariffe = risul_query($dati_ntariffe,$num2,idntariffe);
$variazione_ca = risul_query($dati_ntariffe,$num2,variazione_ca);
esegui_query("update $tablenometariffe set variazione_ca = '$variazione_ca"."n' where idntariffe = '$idntariffe'");
} # fine for $num2
$tablecostiprenota = $PHPR_TAB_PRE."costiprenota".$anno_mostra;
esegui_query("alter table $tablecostiprenota add column vartariffeincomp text");
} # fine for $num1
$fileaperto = fopen("dati/tema.php","w+");
flock($fileaperto,2);
fwrite($fileaperto,"<?php
");
for ($num1 = 0 ; $num1 < numlin_query($utenti) ; $num1++) {
$idutente_mostra = risul_query($utenti,$num1,idutenti);
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('metodi_pagamento','$idutente_mostra','')");
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('attiva_checkin','$idutente_mostra','NO')");
fwrite($fileaperto,"\$tema[$idutente_mostra] = \"sim\";
");
} # fine for $num1
fwrite($fileaperto,"?>");
flock($fileaperto,3);
fclose($fileaperto);
$privilegi_anni = esegui_query("select * from ".$PHPR_TAB_PRE."privilegi where anno != '1' ");
for ($num1 = 0 ; $num1 < numlin_query($privilegi_anni) ; $num1++) {
$anno_priv =  risul_query($privilegi_anni,$num1,anno);
$idutente_priv =  risul_query($privilegi_anni,$num1,idutente);
$priv_ins_prec = risul_query($privilegi_anni,$num1,priv_ins_prenota);
$priv_mod_prec = risul_query($privilegi_anni,$num1,priv_mod_prenota);
esegui_query("update ".$PHPR_TAB_PRE."privilegi set priv_ins_prenota = '".$priv_ins_prec."s', priv_mod_prenota = '".$priv_mod_prec."sn' where idutente = '$idutente_priv' and anno = '$anno_priv' ");
} # fine for $num1
$col_tab = esegui_query("select * from ".$PHPR_TAB_PRE."personalizza where idpersonalizza = 'col_tab_tutte_prenota' ");
for ($num1 = 0 ; $num1 < numlin_query($col_tab) ; $num1++) {
$idutente_pers =  risul_query($col_tab,$num1,idutente);
$val_pers =  risul_query($col_tab,$num1,valpersonalizza);
if ($val_pers) esegui_query("update ".$PHPR_TAB_PRE."personalizza set valpersonalizza = 'nu#@&cg#@&in#@&fi#@&".$val_pers."' where idutente = '$idutente_pers' and idpersonalizza = 'col_tab_tutte_prenota' ");
else esegui_query("update ".$PHPR_TAB_PRE."personalizza set valpersonalizza = 'nu#@&cg#@&in#@&fi' where idutente = '$idutente_pers' and idpersonalizza = 'col_tab_tutte_prenota' ");
} # fine for $num1
define(C_DIFF_ORE,0);
} # fine if ($versione_corrente < "0.51")

if ($versione_corrente < "0.52") {
$aggiornato = "SI";
} # fine if ($versione_corrente < "0.52")

if ($versione_corrente < "0.53") {
$aggiornato = "SI";
esegui_query("create table ".$PHPR_TAB_PRE."transazioniweb (idtransazioni varchar(30) primary key, idsessione varchar(30), tipo_transazione varchar(5), anno integer, spostamenti text, dati_transazione1 text, dati_transazione2 text, dati_transazione3 text, dati_transazione4 text, dati_transazione5 text, dati_transazione6 text, dati_transazione7 text, dati_transazione8 text, dati_transazione9 text, dati_transazione10 text, dati_transazione11 text, dati_transazione12 text, dati_transazione13 text, dati_transazione14 text, dati_transazione15 text, dati_transazione16 text, dati_transazione17 text, dati_transazione18 text, ultimo_accesso $DATETIME)");
esegui_query("insert into  ".$PHPR_TAB_PRE."transazioniweb (idtransazioni, anno) values ('2', '100')");
esegui_query("alter table ".$PHPR_TAB_PRE."clienti rename to ".$PHPR_TAB_PRE."clien");
esegui_query("create table ".$PHPR_TAB_PRE."clienti (idclienti integer primary key, cognome varchar(50) not null, nome varchar(50), sesso char, cognome2 varchar(50), nome2 varchar(50), sesso2 char, datanascita date, datanascita2 date, cittanascita varchar(50), cittanascita2 varchar(50), nazione varchar(50), citta varchar(50), via varchar(50), numcivico varchar(20), cap varchar(10), telefono varchar(50), telefono2 varchar(50), telefono3 varchar(50), fax varchar(50), email text, commento text, datainserimento $DATETIME, hostinserimento varchar(50), utente_inserimento integer )");
esegui_query("insert into ".$PHPR_TAB_PRE."clienti (idclienti,cognome,nome,sesso,cognome2,nome2,sesso2,datanascita,datanascita2,cittanascita,cittanascita2,nazione,citta,via,numcivico,cap,telefono,telefono2,telefono3,fax,commento,datainserimento,hostinserimento,utente_inserimento) select idclienti,cognome,nome,sesso,cognome2,nome2,sesso2,datanascita,datanascita2,cittanascita,cittanascita2,nazione,citta,via,numcivico,cap,telefono,telefono2,telefono3,fax,commento,datainserimento,hostinserimento,utente_inserimento from ".$PHPR_TAB_PRE."clien ");
$clienti = esegui_query("select idclienti,email from ".$PHPR_TAB_PRE."clien ");
for ($num1 = 0 ; $num1 < numlin_query($clienti) ; $num1++) {
$idclienti = risul_query($clienti,$num1,idclienti);
$email = risul_query($clienti,$num1,email);
esegui_query("update ".$PHPR_TAB_PRE."clienti set email = '".addslashes($email)."' where idclienti = '$idclienti' ");
} # fine for $num1
esegui_query("drop table ".$PHPR_TAB_PRE."clien ");
$lingua_mex_orig = $lingua_mex;
@include("./dati/lingua.php");
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tipo_periodi = esegui_query("select * from ".$PHPR_TAB_PRE."anni where idanni = '$anno_mostra'");
$tipo_periodi = risul_query($tipo_periodi,0,tipo_periodi);
if ($tipo_periodi == "s") $aggiungi_giorni = 7;
else $aggiungi_giorni = 1;
for ($num2 = 0 ; $num2 < numlin_query($utenti) ; $num2++) {
$idutente_mostra = risul_query($utenti,$num2,idutenti);
$lingua_mex = $lingua[$idutente_mostra];
$file1 = "./dati/selectperiodi$anno_mostra.$idutente_mostra".".php";
$file2 = "./dati/selperiodimenu$anno_mostra.$idutente_mostra".".php";
for ($num3 = 1 ; $num3 <= 2 ; $num3++) {
$file = ${"file".$num3};
$file_intero = @file($file);
if ($file_intero) {
$fileaperto = fopen("$file","w+");
flock($fileaperto,2);
$date_option = "";
$n_date_menu = 0;
for ($num4 = 0 ; $num4 < count($file_intero) ; $num4++) {
if (substr($file_intero[$num4],0,7) == "<option") {
$data_option = substr($file_intero[$num4],16,10);
if (!$date_option) {
$a_ini_menu = substr($data_option,0,4);
$m_ini_menu = (substr($data_option,5,2) - 1);
$g_ini_menu = substr($data_option,8,2);
} # fine if (!$date_option)
$n_date_menu++;
$date_option .= str_replace("$data_option\\\"\$sel".str_replace("-","",$data_option).">","$data_option\\\">",$file_intero[$num4]);
} # fine if (substr($file_intero[$num4],0,7) == "<option")
} # fine for $num4
fwrite($fileaperto,"<?php 

\$y_ini_menu[0] = \"$a_ini_menu\";
\$m_ini_menu[0] = \"$m_ini_menu\";
\$d_ini_menu[0] = \"$g_ini_menu\";
\$n_dates_menu[0] = \"$n_date_menu\";
\$d_increment[0] = \"$aggiungi_giorni\";
\$d_names = \"\\\"".mex(" Do","inizio.php")."\\\",\\\"".mex(" Lu","inizio.php")."\\\",\\\"".mex(" Ma","inizio.php")."\\\",\\\"".mex(" Me","inizio.php")."\\\",\\\"".mex(" Gi","inizio.php")."\\\",\\\"".mex(" Ve","inizio.php")."\\\",\\\"".mex(" Sa","inizio.php")."\\\"\";
\$m_names = \"\\\"".mex("Gen","inizio.php")."\\\",\\\"".mex("Feb","inizio.php")."\\\",\\\"".mex("Mar","inizio.php")."\\\",\\\"".mex("Apr","inizio.php")."\\\",\\\"".mex("Mag","inizio.php")."\\\",\\\"".mex("Giu","inizio.php")."\\\",\\\"".mex("Lug","inizio.php")."\\\",\\\"".mex("Ago","inizio.php")."\\\",\\\"".mex("Set","inizio.php")."\\\",\\\"".mex("Ott","inizio.php")."\\\",\\\"".mex("Nov","inizio.php")."\\\",\\\"".mex("Dic","inizio.php")."\\\"\";

\$dates_options_list = \"

$date_option
\";

?>");
flock($fileaperto,3);
fclose($fileaperto);
} # fine if ($file_intero)
} # fine for $num3
} # fine for $num2
} # fine for $num1
$lingua_mex = $lingua_mex_orig;
} # fine if ($versione_corrente < "0.53")

if ($versione_corrente < "0.54") {
$aggiornato = "SI";
esegui_query("create table ".$PHPR_TAB_PRE."contratti (numero integer, tipo varchar(8), testo text )");
for ($num1 = 0 ; $num1 < numlin_query($utenti) ; $num1++) {
$idutente_mostra = risul_query($utenti,$num1,idutenti);
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('mostra_quadro_disp','$idutente_mostra','')");
} # fine for $num1
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('ultime_sel_ins_prezzi','1','')");
} # fine if ($versione_corrente < "0.54")

if ($versione_corrente < "0.55") {
$aggiornato = "SI";
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tablecostiprenota = $PHPR_TAB_PRE."costiprenota".$anno_mostra;
$tableprenota = $PHPR_TAB_PRE."prenota".$anno_mostra;
$costiprenota_cambia = esegui_query("select * from $tablecostiprenota where vartariffeassociate != ''");
$num_costiprenota_cambia = numlin_query($costiprenota_cambia);
for ($num2 = 0 ; $num2 < $num_costiprenota_cambia ; $num2++) {
$idcostiprenota = addslashes(risul_query($costiprenota_cambia,$num2,idcostiprenota));
$vartariffeassociate = addslashes(risul_query($costiprenota_cambia,$num2,vartariffeassociate));
if ($vartariffeassociate) esegui_query("update $tablecostiprenota set vartariffeassociate = 'p$vartariffeassociate' where idcostiprenota = '$idcostiprenota'");
} # fine for $num2
$max_idprenota = esegui_query("select max(idprenota) from $tableprenota");
$max_idprenota = risul_query($max_idprenota,0,0) + 1;
$max_idcostiprenota = esegui_query("select max(idcostiprenota) from $tablecostiprenota");
$max_idcostiprenota = risul_query($max_idcostiprenota,0,0) + 1;
esegui_query("update $tablecostiprenota set idcostiprenota = '$max_idcostiprenota' where idcostiprenota = '1'");
esegui_query("insert into $tablecostiprenota (idcostiprenota,numlimite) values ('1','$max_idprenota')");
} # fine for $num1
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('auto_crea_anno','1','NO')");
} # fine if ($versione_corrente < "0.55")

if ($versione_corrente < "0.60") {
$aggiornato = "SI";
esegui_query("create table ".$PHPR_TAB_PRE."messaggi (idmessaggi integer primary key, tipo_messaggio varchar(8), idutenti text, idutenti_visto text, datavisione $DATETIME, mittente text, testo text, dati_messaggio1 text, dati_messaggio2 text, dati_messaggio3 text, dati_messaggio4 text, dati_messaggio5 text, dati_messaggio6 text, dati_messaggio7 text, dati_messaggio8 text, dati_messaggio9 text, dati_messaggio10 text, dati_messaggio11 text, dati_messaggio12 text, dati_messaggio13 text, dati_messaggio14 text, dati_messaggio15 text, dati_messaggio16 text, dati_messaggio17 text, dati_messaggio18 text, datainserimento $DATETIME )");
function contr_utf8 ($testo) {
if (utf8_encode(utf8_decode($testo)) == $testo) $risul = 1;
else $risul = 0;
return $risul;
} # fine function contr_utf8
function converti_encode_tabella ($tabella) {
global $PHPR_TAB_PRE;
$contenuto_tab = esegui_query("select * from ".$PHPR_TAB_PRE."$tabella");
$num_colonne = numcampi_query($contenuto_tab);
for ($num1 = 0 ; $num1 < $num_colonne ; $num1++) {
$nome_colonna = nomecampo_query($contenuto_tab,$num1);
$contenuto_col = esegui_query("select distinct $nome_colonna from ".$PHPR_TAB_PRE."$tabella where $nome_colonna is not NULL and $nome_colonna != ''");
$num_righe = numlin_query($contenuto_col);
for ($num2 = 0 ; $num2 < $num_righe ; $num2++) {
$val = risul_query($contenuto_col,$num2,$nome_colonna);
if (!contr_utf8($val)) esegui_query("update ".$PHPR_TAB_PRE."$tabella set $nome_colonna = '".addslashes(utf8_encode($val))."' where $nome_colonna = '".addslashes($val)."'");
} # fine for $num2
} # fine for $num1
} # fine function converti_encode_tabella
function converti_encode_file ($file) {
$contenuto_file = implode("",file($file));
if (!contr_utf8($contenuto_file)) {
$contenuto_file = utf8_encode($contenuto_file);
scrivi_file($contenuto_file,$file);
} # fine if (!contr_utf8($contenuto_file))
} # fine function converti_encode_file
converti_encode_file("./dati/dati_connessione.php");
converti_encode_file("./dati/lingua.php");
converti_encode_file("./dati/tema.php");
converti_encode_file("./dati/selectappartamenti.php");
converti_encode_file("./dati/versione.php");
if (@is_file("./dati/abilita_login")) converti_encode_file("./dati/abilita_login");
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_reg = risul_query($anni,$num1,idanni);
for ($num2 = 0 ; $num2 < numlin_query($utenti) ; $num2++) {
$idutente_reg = risul_query($utenti,$num2,idutenti);
$file = "./dati/selectperiodi$anno_reg.$idutente_reg.php";
if (@is_file("./dati/selectperiodi$anno_reg.$idutente_reg.php")) converti_encode_file("./dati/selectperiodi$anno_reg.$idutente_reg.php");
if (@is_file("./dati/selperiodimenu$anno_reg.$idutente_reg.php")) converti_encode_file("./dati/selperiodimenu$anno_reg.$idutente_reg.php");
} # fine for $num2
} # fine for $num1
converti_encode_tabella("anni");
converti_encode_tabella("appartamenti");
converti_encode_tabella("clienti");
converti_encode_tabella("personalizza");
converti_encode_tabella("versioni");
converti_encode_tabella("utenti");
converti_encode_tabella("privilegi");
converti_encode_tabella("sessioni");
converti_encode_tabella("transazioni");
converti_encode_tabella("transazioniweb");
converti_encode_tabella("contratti");
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_reg = risul_query($anni,$num1,idanni);
converti_encode_tabella("prenota$anno_reg");
converti_encode_tabella("costiprenota$anno_reg");
converti_encode_tabella("periodi$anno_reg");
converti_encode_tabella("ntariffe$anno_reg");
converti_encode_tabella("regole$anno_reg");
converti_encode_tabella("soldi$anno_reg");
converti_encode_tabella("costi$anno_reg");
} # fine for $num1
$priv_reg1_cons = esegui_query("select idutente,anno,regole1_consentite from ".$PHPR_TAB_PRE."privilegi where regole1_consentite is not NULL and regole1_consentite != ''");
for ($num1 = 0 ; $num1 < numlin_query($priv_reg1_cons) ; $num1++) {
$reg1_cons_mod = str_replace("#@£","#@^",risul_query($priv_reg1_cons,$num1,regole1_consentite));
$idutente_mod = risul_query($priv_reg1_cons,$num1,idutente);
$anno_mod = risul_query($priv_reg1_cons,$num1,anno);
esegui_query("update ".$PHPR_TAB_PRE."privilegi set regole1_consentite = '".addslashes($reg1_cons_mod)."' where idutente = '$idutente_mod' and anno = '$anno_mod'");
} # fine for $num1
esegui_query("alter table ".$PHPR_TAB_PRE."clienti add column regione varchar(50)");
esegui_query("alter table ".$PHPR_TAB_PRE."clienti add column documento varchar(60)");
esegui_query("alter table ".$PHPR_TAB_PRE."clienti add column documento2 varchar(60)");
esegui_query("alter table ".$PHPR_TAB_PRE."clienti add column scadenzadoc date");
esegui_query("alter table ".$PHPR_TAB_PRE."clienti add column scadenzadoc2 date");
esegui_query("alter table ".$PHPR_TAB_PRE."privilegi add column priv_messaggi varchar(10)");
for ($num1 = 1 ; $num1 <= 18 ; $num1++) {
if (strlen($num1) == 1) $num_contr = "0".$num1;
else $num_contr = $num1;
$contratto = implode("",file("./contr/contr".$num_contr.".php"));
if (!contr_utf8($contratto)) $contratto = utf8_encode($contratto);
$contratto = split("[$]contratto *= *\"",$contratto);
$contratto = $contratto[1];
$contratto_exp = explode("\"",$contratto);
$contratto = substr($contratto,0,(-1 - strlen($contratto_exp[(count($contratto_exp) - 1)])));
$contratto = str_replace("\\\"","\"",$contratto);
unset($var_da_sostituire);
$leggendo_var = "NO";
for ($num2 = 0 ; $num2 < strlen($contratto) ; $num2++) {
$car = substr($contratto,$num2,1);
if ($leggendo_var == "SI") {
if (ereg_replace("[A-Za-z0-9_]","",$car) == "") $var .= $car;
else {
$leggendo_var = "NO";
$var_da_sostituire[$var] = "SI";
} # fine else if (ereg_replace("[a-z0-9_]","",$car) == "")
} # fine if ($leggendo_var == "SI")
if ($car == "\$" and substr($contratto,($num2 - 1),1) != "\\") {
$leggendo_var = "SI";
$var = "";
} # fine if (substr($contratto,$num2,1) == "\$" and...
} # fine for $num2
if ($leggendo_var == "SI") $var_da_sostituire[$var] = "SI";
if (@is_array($var_da_sostituire)) {
krsort($var_da_sostituire);
reset($var_da_sostituire);
while (list($key,$val) = each($var_da_sostituire)) {
$contratto = str_replace("\$".$key,"[".$key."]",$contratto);
} # fine while (list($key,$val) = each($var_da_sostituire))
} # fine if (@is_array($var_da_sostituire))
$contratto = addslashes($contratto);
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('$num1','contrhtm','$contratto')");
@unlink("./contr/contr".$num_contr.".php");
} # fine for $num1
@rmdir("./contr/");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('1','var','Mr')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('2','var','Mr2')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('3','var','il')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('4','var','Il')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('5','var','al')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('6','var','e')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('7','var','o')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('8','var','il2')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('9','var','Il2')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('10','var','al2')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('11','var','e2')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('12','var','o2')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('13','var','el')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('14','var','El')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('15','var','al3')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('16','var','a')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('17','var','o3')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('18','var','el2')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('19','var','El2')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('20','var','al4')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('21','var','a2')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('22','var','o4')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('1','cond','if#%?sex#%?=#%?f#%?1#%?s')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('2','cond','if#%?sex2#%?=#%?f#%?2#%?s')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('3','cond','if#%?sesso#%?!=#%?f#%?3#%?il')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('4','cond','if#%?sesso#%?=#%?f#%?3#%?la')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('5','cond','if#%?sesso#%?!=#%?f#%?4#%?Il')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('6','cond','if#%?sesso#%?=#%?f#%?4#%?La')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('7','cond','if#%?sesso#%?!=#%?f#%?5#%?al')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('8','cond','if#%?sesso#%?=#%?f#%?5#%?alla')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('9','cond','if#%?sesso#%?!=#%?f#%?6#%?e')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('10','cond','if#%?sesso#%?=#%?f#%?6#%?a')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('11','cond','if#%?sesso#%?!=#%?f#%?7#%?o')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('12','cond','if#%?sesso#%?=#%?f#%?7#%?a')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('13','cond','if#%?sesso2#%?!=#%?f#%?8#%?il')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('14','cond','if#%?sesso2#%?=#%?f#%?8#%?la')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('15','cond','if#%?sesso2#%?!=#%?f#%?9#%?Il')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('16','cond','if#%?sesso2#%?=#%?f#%?9#%?La')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('17','cond','if#%?sesso2#%?!=#%?f#%?10#%?al')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('18','cond','if#%?sesso2#%?=#%?f#%?10#%?alla')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('19','cond','if#%?sesso2#%?!=#%?f#%?11#%?e')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('20','cond','if#%?sesso2#%?=#%?f#%?11#%?a')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('21','cond','if#%?sesso2#%?!=#%?f#%?12#%?o')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('22','cond','if#%?sesso2#%?=#%?f#%?12#%?a')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('23','cond','if#%?sexo#%?!=#%?f#%?13#%?el')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('24','cond','if#%?sexo#%?=#%?f#%?13#%?la')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('25','cond','if#%?sexo#%?!=#%?f#%?14#%?El')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('26','cond','if#%?sexo#%?=#%?f#%?14#%?La')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('27','cond','if#%?sexo#%?!=#%?f#%?15#%?al')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('28','cond','if#%?sexo#%?=#%?f#%?15#%?a la')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('29','cond','if#%?sexo#%?=#%?f#%?16#%?a')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('30','cond','if#%?sexo#%?!=#%?f#%?17#%?o')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('31','cond','if#%?sexo#%?=#%?f#%?17#%?a')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('32','cond','if#%?sexo2#%?!=#%?f#%?18#%?el')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('33','cond','if#%?sexo2#%?=#%?f#%?18#%?la')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('34','cond','if#%?sexo2#%?!=#%?f#%?19#%?El')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('35','cond','if#%?sexo2#%?=#%?f#%?19#%?La')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('36','cond','if#%?sexo2#%?!=#%?f#%?20#%?al')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('37','cond','if#%?sexo2#%?=#%?f#%?20#%?a la')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('38','cond','if#%?sexo2#%?=#%?f#%?21#%?a')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('39','cond','if#%?sexo2#%?!=#%?f#%?22#%?o')");
esegui_query("insert into ".$PHPR_TAB_PRE."contratti (numero,tipo,testo) values ('40','cond','if#%?sexo2#%?=#%?f#%?22#%?a')");
for ($num1 = 0 ; $num1 < numlin_query($utenti) ; $num1++) {
$idutente_mostra = risul_query($utenti,$num1,idutenti);
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('tipi_documento','$idutente_mostra','')");
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('indirizzo_email','$idutente_mostra','')");
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('selezione_tab_tutte_prenota','$idutente_mostra','tutte')");
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza_num) values ('linee_ripeti_date_tab_mesi','$idutente_mostra','25')");
esegui_query("update ".$PHPR_TAB_PRE."privilegi set priv_messaggi = 'nn' where idutente = '$idutente_mostra' and anno = '1' ");
} # fine for $num1
$privilegi_anni = esegui_query("select * from ".$PHPR_TAB_PRE."privilegi where anno != '1' ");
for ($num1 = 0 ; $num1 < numlin_query($privilegi_anni) ; $num1++) {
$anno_priv =  risul_query($privilegi_anni,$num1,anno);
$idutente_priv =  risul_query($privilegi_anni,$num1,idutente);
$priv_ins_prec = risul_query($privilegi_anni,$num1,priv_ins_prenota);
esegui_query("update ".$PHPR_TAB_PRE."privilegi set priv_ins_prenota = '".$priv_ins_prec."n' where idutente = '$idutente_priv' and anno = '$anno_priv' ");
} # fine for $num1
esegui_query("update ".$PHPR_TAB_PRE."personalizza set valpersonalizza = '25' where idpersonalizza = 'tutti_fissi' and idutente = '1' and valpersonalizza = 'NO'");
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('maschera_email','1','NO')");
esegui_query("insert into ".$PHPR_TAB_PRE."personalizza (idpersonalizza,idutente,valpersonalizza) values ('percorso_cartella_modello','1','./dati')");
$file_tema = implode("",@file("./dati/tema.php"));
$file_tema = str_replace("<?php","<?php
\$parole_sost = 0;",$file_tema);
scrivi_file($file_tema,"./dati/tema.php");
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tablesoldi = $PHPR_TAB_PRE."soldi".$anno_mostra;
$soldi_prenota = esegui_query("select * from $tablesoldi where saldo_prenota != '' order by idsoldi");
$num_soldi_prenota = numlin_query($soldi_prenota);
for ($num2 = 0 ; $num2 < $num_soldi_prenota ; $num2++) {
$motivazione = risul_query($soldi_prenota,$num2,motivazione);
$id_soldi = risul_query($soldi_prenota,$num2,idsoldi);
esegui_query("update $tablesoldi set motivazione = '$motivazione".";' where idsoldi = '$id_soldi'");
} # fine for $num2
} # fine for $num1
} # fine if ($versione_corrente < "0.60")



echo "
<center>
PHP-RESIDENCE version ".C_PHPR_VERSIONE_TXT.", Copyright (C) 2001-2005 Marco M. F. De Santis<br>
Php-residence comes with ABSOLUTELY NO WARRANTY; <br>for details see the file 
<a href=\"COPYING\">COPYING</a>. <br> This is free software, and you are 
welcome to redistribute it<br>
 under certain conditions; see the  file 
<a href=\"COPYING\">COPYING</a> for details.<br>
</center><hr width=\"95%\">
<br>";
if ($aggiornato == "SI") {
esegui_query("update ".$PHPR_TAB_PRE."versioni set num_versione = '".C_PHPR_VERSIONE_NUM."' where idversioni = 1");
scrivi_file("<?php
define(C_VERSIONE_ATTUALE,".C_PHPR_VERSIONE_NUM.");
define(C_DIFF_ORE,".C_DIFF_ORE.");
?>","./dati/versione.php");
echo "<font size=+2>".mex("Database aggiornato alla versione",$pag)." <b>".C_PHPR_VERSIONE_TXT."</b>!<br></font><br>";


$pag_orig = $pag;
$pag = "crea_modelli.php";
include("./includes/templates/funzioni_modelli.php");
$modello_esistente = "SI";
$cambia_frasi = "NO";
include("./includes/templates/frasi_mod_disp.php");
include("./includes/templates/funzioni_mod_disp.php");
if (@is_file("$percorso_cartella_modello/modello_disponibilita.php")) {
$lingua_modello = "ita";
$nome_file = mex2("modello_disponibilita",$pag,$lingua_modello).".php";
for ($num_fr = 0 ; $num_fr < $num_frasi ; $num_fr++) ${$fr_frase[$num_fr]} = mex2($frase[$num_fr],$pag,$lingua_modello);
$num_periodi_date = "";
$anno_modello = "";
recupera_var_modello_disponibilita($nome_file,$percorso_cartella_modello,$pag,$fr_frase,$num_frasi,$var_mod,$num_var_mod,$tipo_periodi,"SI",$anno_modello,$PHPR_TAB_PRE);
$anno_modello = $anno_modello_presente;
crea_modello_disponibilita($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"SI",$fr_frase,$frase,$num_frasi,$tipo_periodi);
} # fine if (@is_file("$percorso_cartella_modello/modello_disponibilita.php"))
$lang_dir = opendir("./includes/lang/");
include("./dati/lingua.php");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_file = mex2("modello_disponibilita",$pag,$ini_lingua).".php";
if (@is_file("$percorso_cartella_modello/$nome_file")) {
$lingua_modello = $ini_lingua;
for ($num_fr = 0 ; $num_fr < $num_frasi ; $num_fr++) ${$fr_frase[$num_fr]} = mex2($frase[$num_fr],$pag,$lingua_modello);
$num_periodi_date = "";
$anno_modello = "";
recupera_var_modello_disponibilita($nome_file,$percorso_cartella_modello,$pag,$fr_frase,$num_frasi,$var_mod,$num_var_mod,$tipo_periodi,"SI",$anno_modello,$PHPR_TAB_PRE);
$anno_modello = $anno_modello_presente;
crea_modello_disponibilita($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"SI",$fr_frase,$frase,$num_frasi,$tipo_periodi);
} # fine if (@is_file("$percorso_cartella_modello/$nome_file"))
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
include("./includes/templates/$modello_ext/phrases.php");
include("./includes/templates/$modello_ext/functions.php");
$funz_recupera_var_modello = "recupera_var_modello_".$modello_ext;
$funz_crea_modello = "crea_modello_".$modello_ext;
if ($template_file_name["ita"]) $nome_file = $template_file_name["ita"];
else $nome_file = "ita_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) {
$lingua_modello = "ita";
for ($num_fr = 0 ; $num_fr < $num_frasi ; $num_fr++) ${$fr_frase[$num_fr]} = mex2($frase[$num_fr],$pag,$lingua_modello);
$num_periodi_date = "";
$anno_modello = "";
$funz_recupera_var_modello($nome_file,$percorso_cartella_modello,$pag,$fr_frase,$num_frasi,$var_mod,$num_var_mod,$tipo_periodi,"SI",$anno_modello,$PHPR_TAB_PRE);
$anno_modello = $anno_modello_presente;
$funz_crea_modello($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"SI",$fr_frase,$frase,$num_frasi,$tipo_periodi);
} # fine if (@is_file("$percorso_cartella_modello/$nome_file"))
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
if ($template_file_name[$ini_lingua]) $nome_file = $template_file_name[$ini_lingua];
else $nome_file = $ini_lingua."_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) {
$lingua_modello = $ini_lingua;
for ($num_fr = 0 ; $num_fr < $num_frasi ; $num_fr++) ${$fr_frase[$num_fr]} = mex2($frase[$num_fr],$pag,$lingua_modello);
$num_periodi_date = "";
$anno_modello = "";
$funz_recupera_var_modello($nome_file,$percorso_cartella_modello,$pag,$fr_frase,$num_frasi,$var_mod,$num_var_mod,$tipo_periodi,"SI",$anno_modello,$PHPR_TAB_PRE);
$anno_modello = $anno_modello_presente;
$funz_crea_modello($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"SI",$fr_frase,$frase,$num_frasi,$tipo_periodi);
} # fine if (@is_file("$percorso_cartella_modello/$nome_file"))
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
$pag = $pag_orig;
echo "<br>";


} # fine if ($aggiornato == "SI")
else { echo "<font size=+2>".mex("Niente da aggiornare",$pag).".<br></font>"; }

#pg_exec("commit");

echo "<center><br><form accept-charset=\"utf-8\" method=\"post\" action=\"inizio.php\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Vai al menù principale",$pag)."\">
</form></center>";

} # fine if ($id_utente and $id_utente == 1)

?>

</body>
</html>
