<?php

#################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2006 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################



include("./includes/funzioni.php");
if (!defined("C_CREADB_TIPODB")) include("./includes/costanti.php");
$pag = "creadb.php";
$titolo = "Crea il database per php-residence";

if (C_CREA_ULTIMO_ACCESSO != "SI" or !@is_file("./dati/ultimo_accesso")) {

unset($numconnessione);
unset($PHPR_TAB_PRE);
unset($id_sessione);
unset($nome_utente_phpr);
unset($password_phpr);
$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente and $id_utente == 1) {


$show_bar = "NO";
if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


function mex2 ($messaggio,$pagina,$lingua) {

if ($lingua != "ita") {
include("./includes/lang/$lingua/$pagina");
} # fine if ($lingua != "ita")

return $messaggio;

} # fine function mex2


// creo la tabella appartamenti e vi inserisco i dati forniti.
if ($insappartamenti) {
include("./dati/lingua.php");
$lingua_mex = $lingua[1];
include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
$tableappartamenti = $PHPR_TAB_PRE."appartamenti";
esegui_query("create table $tableappartamenti ( idappartamenti varchar(100) primary key, numpiano text, maxoccupanti integer, numcasa text, app_vicini text, priorita integer, commento text )");
$fileaperto = fopen("dati/selectappartamenti.php","a+");
fwrite($fileaperto,"<?php \necho \"\n");
$zeri = (string) "0000000000000000000000000000";
for ( $num = 1; $num <= $numappartamenti; $num = $num + 1) {
$numapp = "numapp" . $num;
$numapp = $$numapp;
if (C_UTILIZZA_SEMPRE_DEFAULTS == "SI") $numapp = (string) substr($zeri,0,(strlen($numappartamenti) - strlen($num))).$num;
$numapp = str_replace (",","",$numapp);
$numapp = str_replace ("'","",$numapp);
if (str_replace (" ","",$numapp) == "") $numapp = str_replace (" ","_",$numapp);
$piano = "piano" . $num;
$piano = $$piano;
$maxoccupanti = "maxoccupanti" . $num;
$maxoccupanti = $$maxoccupanti;
$numcasa = "numcasa" . $num;
$numcasa = $$numcasa;
$priorita = "priorita" . $num;
$priorita = $$priorita;
$app_vicini = "app_vicini" . $num;
$app_vicini = $$app_vicini;
esegui_query("insert into $tableappartamenti ( idappartamenti ) values ( '$numapp' )");
fwrite($fileaperto,"<option value=\\\"$numapp\\\">$numapp</option>
");
if ($piano) {
esegui_query("update $tableappartamenti set numpiano = '$piano' where idappartamenti = '$numapp'");
} # fine if ($piano)
if ($maxoccupanti) {
esegui_query("update $tableappartamenti set maxoccupanti = $maxoccupanti where idappartamenti = '$numapp'");
} # fine if ($maxoccupanti)
if ($numcasa) {
esegui_query("update $tableappartamenti set numcasa = '$numcasa' where idappartamenti = '$numapp'");
} # fine if ($numcasa)
if ($priorita) {
esegui_query("update $tableappartamenti set priorita = $priorita where idappartamenti = '$numapp'");
} # fine if ($priorita)
if ($app_vicini and $assegna_vicini_nc != "SI") {
esegui_query("update $tableappartamenti set app_vicini = $app_vicini where idappartamenti = '$numapp'");
} # fine if ($app_vicini and assegna_vicini_nc != "SI")
} # fine for $num
fwrite($fileaperto,"\"; \n?>");
if ($assegna_vicini_nc == "SI") {
$appart = esegui_query("select * from $tableappartamenti");
for ( $num1 = 0; $num1 < $numappartamenti; $num1 = $num1 + 1) {
$idapp = risul_query($appart,$num1,idappartamenti);
$nc = risul_query($appart,$num1,numcasa);
$np = risul_query($appart,$num1,numpiano);
$query = "select idappartamenti from $tableappartamenti where numcasa = '$nc' and idappartamenti != '$idapp'";
if ($assegna_vicini_np == "SI") {
$query = $query." and numpiano = '$np'";
} # fine if ($assegna_vicini_np == "SI")
$av = esegui_query($query);
$num_av = numlin_query($av);
$app_vicini = "";
for ( $num2 = 0; $num2 < $num_av; $num2 = $num2 + 1) {
$id_av = risul_query($av,$num2,idappartamenti);
if ($app_vicini == "") { $app_vicini = $id_av; }
else { $app_vicini = $app_vicini . "," . $id_av; }
} # fine for $num2
esegui_query("update $tableappartamenti set app_vicini = '$app_vicini' where idappartamenti = '$idapp'");
} # fine for $num1
} # fine if ($assegna_vicini_nc == "SI")
echo mex("Dati inseriti",$pag)."!<br>".mex("Tutti i dati permanenti sono stati inseriti",$pag).".<br>";
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"inizio.php\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\"><br>
</form>";
} # fine if ($insappartamenti)

else{


if ($creabase) {

if (C_UTILIZZA_SEMPRE_DEFAULTS == "SI") {
$tipo_db = C_CREADB_TIPODB;
$database = C_CREADB_NOMEDB;
$database_esistente = C_CREADB_DB_ESISTENTE;
$host = C_CREADB_HOST;
$port = C_CREADB_PORT;
$user = C_CREADB_USER;
if (!$password) $password = C_CREADB_PASS;
$carica_estensione = C_CREADB_ESTENSIONE;
$tempdatabase = C_CREADB_TEMPDB;
$prefisso_tab = C_CREADB_PREFISSO_TAB;
} # fine if (C_UTILIZZA_SEMPRE_DEFAULTS == "SI")

if (!$prefisso_tab or ereg('^[_a-z][_0-9a-z]*$',$prefisso_tab)) {
if ($tipo_db == "postgresql") {
if ($carica_estensione == "SI") { dl("pgsql.so"); }
if ($database_esistente == "SI") $tempdatabase = $database;
$numconnessione = pg_connect("dbname=$tempdatabase host=$host port=$port user=$user password=$password ");
$encoding = " with encoding = 'SQL_ASCII'";
} # fine if ($tipo_db == "postgresql")
if ($tipo_db == "mysql") {
if ($carica_estensione == "SI") { dl("mysql.so"); }
$numconnessione = mysql_connect ("$host:$port", "$user", "$password");
if ($numconnessione and $database_esistente == "SI") {
$query_db = mysql_select_db($database);
if (!$query_db) $numconnessione = $query_db;
} # fine if ($numconnessione and $database_esistente == "SI")
$encoding = "";
} # fine if ($tipo_db == "mysql")

if ($numconnessione) {
include("./includes/funzioni_$tipo_db.php");
if ($database_esistente == "NO") {
$query = esegui_query("create database $database $encoding");
if ($query) echo mex2("Database creato",$pag,$lingua)."!<br>";
} # fine if ($database_esistente == "NO")
else $query = "SI";
disconnetti_db($numconnessione);

if ($query) {
$character_set_db = "";
$collation_db = "";
if ($tipo_db == "postgresql") {
$numconnessione = pg_connect("dbname=$database host=$host port=$port user=$user password=$password ");
} # fine if ($tipo_db == "postgresql")
if ($tipo_db == "mysql") {
$numconnessione = mysql_connect ("$host:$port", "$user", "$password");
mysql_select_db($database);
$character_set = esegui_query("SHOW VARIABLES LIKE 'character_set_database'");
$collation = esegui_query("SHOW VARIABLES LIKE 'collation_database'");
if (numlin_query($character_set) == 1 and numlin_query($collation) == 1) {
$character_set_db = risul_query($character_set,0,"Value");
$collation_db = risul_query($collation,0,"Value");
if ($character_set_db != "utf8" or $collation_db != "utf8_general_ci") esegui_query("alter database $database default character set 'utf8' collate 'utf8_general_ci'");
} # fine if (numlin_query($character_set) == 1)
} # fine if ($tipo_db == "mysql")
# creo la tabella clienti.
$tableclienti = $prefisso_tab."clienti";
esegui_query("create table $tableclienti (idclienti integer primary key, cognome varchar(50) not null, nome varchar(50), sesso char, cognome2 varchar(50), nome2 varchar(50), sesso2 char, datanascita date, datanascita2 date, cittanascita varchar(50), cittanascita2 varchar(50), documento varchar(60), documento2 varchar(60), scadenzadoc date, scadenzadoc2 date, nazione varchar(50), regione varchar(50), citta varchar(50), via varchar(50), numcivico varchar(20), cap varchar(10), telefono varchar(50), telefono2 varchar(50), telefono3 varchar(50), fax varchar(50), email text, commento text, datainserimento $DATETIME, hostinserimento varchar(50), utente_inserimento integer )");
# creo la tabella anni.
$tableanni = $prefisso_tab."anni";
esegui_query("create table $tableanni (idanni integer primary key, tipo_periodi text)");
# creo la tabella versione ed inserisco quella corrente.
$tableversioni = $prefisso_tab."versioni";
esegui_query("create table $tableversioni (idversioni integer primary key, num_versione float4)");
esegui_query("insert into $tableversioni (idversioni, num_versione) values ('1', '".C_PHPR_VERSIONE_NUM."')");
esegui_query("insert into $tableversioni (idversioni, num_versione) values ('2', '100')");
# creo la tabella per le personalizzazioni.
$tablepersonalizza = $prefisso_tab."personalizza";
esegui_query("create table $tablepersonalizza (idpersonalizza varchar(50) not null, idutente integer, valpersonalizza text, valpersonalizza_num integer)");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('col_tab_tutte_prenota','1','nu#@&cg#@&in#@&fi#@&tc#@&ca#@&pa#@&ap#@&pe#@&co')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('maschera_email','1','NO')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('indirizzo_email','1','')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('valuta','1','Euro')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('stile_soldi','1','europa')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('costi_agg_in_tab_prenota','1','')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza_num) values ('aggiunta_tronca_nomi_tab1','1','0')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza_num) values ('linee_ripeti_date_tab_mesi','1','25')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza_num) values ('num_linee_tab2_prenota','1','30')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('nomi_contratti','1','')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza_num) values ('num_righe_tab_tutte_prenota','1','200')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('selezione_tab_tutte_prenota','1','tutte')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza_num) values ('num_righe_tab_storia_soldi','1','200')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('stile_data','1','europa')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza_num) values ('num_righe_tab_tutti_clienti','1','200')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza_num) values ('minuti_durata_sessione','1','90')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza_num) values ('ore_anticipa_periodo_corrente','1','0')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('percorso_cartella_modello','1','./dati')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('tutti_fissi','1','25')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('auto_crea_anno','1','SI')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('metodi_pagamento','1','')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('tipi_documento','1','')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('attiva_checkin','1','NO')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('mostra_quadro_disp','1','')");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('ultime_sel_ins_prezzi','1','')");
$tableutenti = $prefisso_tab."utenti";
esegui_query("create table $tableutenti (idutenti integer primary key, nome_utente text, password text, tipo_pass varchar(1) )");
esegui_query("insert into $tableutenti (idutenti, nome_utente, tipo_pass) values (1,'admin','n')");
$tableprivilegi = $prefisso_tab."privilegi";
esegui_query("create table $tableprivilegi (idutente integer, anno integer, regole1_consentite text, tariffe_consentite text, costi_agg_consentiti text, contratti_consentiti text, priv_ins_prenota varchar(20), priv_mod_prenota varchar(35), priv_mod_pers varchar(15), priv_ins_clienti varchar(5), prefisso_clienti text, priv_ins_costi varchar(10), priv_vedi_tab varchar(30), priv_ins_tariffe varchar(10), priv_ins_regole varchar(10), priv_messaggi varchar(10) )");
$tablesessioni = $prefisso_tab."sessioni";
esegui_query("create table $tablesessioni (idsessioni varchar(30) primary key, idutente integer, indirizzo_ip text, user_agent text, ultimo_accesso $DATETIME)");
$tabletransazioni = $prefisso_tab."transazioni";
esegui_query("create table $tabletransazioni (idtransazioni varchar(30) primary key, idsessione varchar(30), tipo_transazione varchar(5), anno integer, spostamenti text, dati_transazione1 text, dati_transazione2 text, dati_transazione3 text, dati_transazione4 text, dati_transazione5 text, dati_transazione6 text, dati_transazione7 text, dati_transazione8 text, dati_transazione9 text, dati_transazione10 text, dati_transazione11 text, dati_transazione12 text, dati_transazione13 text, dati_transazione14 text, dati_transazione15 text, dati_transazione16 text, dati_transazione17 text, dati_transazione18 text, ultimo_accesso $DATETIME)");
$tabletransazioniweb = $prefisso_tab."transazioniweb";
esegui_query("create table $tabletransazioniweb (idtransazioni varchar(30) primary key, idsessione varchar(30), tipo_transazione varchar(5), anno integer, spostamenti text, dati_transazione1 text, dati_transazione2 text, dati_transazione3 text, dati_transazione4 text, dati_transazione5 text, dati_transazione6 text, dati_transazione7 text, dati_transazione8 text, dati_transazione9 text, dati_transazione10 text, dati_transazione11 text, dati_transazione12 text, dati_transazione13 text, dati_transazione14 text, dati_transazione15 text, dati_transazione16 text, dati_transazione17 text, dati_transazione18 text, ultimo_accesso $DATETIME)");
esegui_query("insert into  $tabletransazioniweb (idtransazioni, anno) values ('2', '100')");
$tablemessaggi = $prefisso_tab."messaggi";
esegui_query("create table $tablemessaggi (idmessaggi integer primary key, tipo_messaggio varchar(8), idutenti text, idutenti_visto text, datavisione $DATETIME, mittente text, testo text, dati_messaggio1 text, dati_messaggio2 text, dati_messaggio3 text, dati_messaggio4 text, dati_messaggio5 text, dati_messaggio6 text, dati_messaggio7 text, dati_messaggio8 text, dati_messaggio9 text, dati_messaggio10 text, dati_messaggio11 text, dati_messaggio12 text, dati_messaggio13 text, dati_messaggio14 text, dati_messaggio15 text, dati_messaggio16 text, dati_messaggio17 text, dati_messaggio18 text, datainserimento $DATETIME )");
$tablecontratti = $prefisso_tab."contratti";
esegui_query("create table $tablecontratti (numero integer, tipo varchar(8), testo $MEDIUMTEXT )");

$contratto = "<B><U><FONT FACE=\"Times\" SIZE=4><P ALIGN=\"CENTER\">ESEMPIO DI CONTRATTO PER PHP-RESIDENCE</P>
</U></B></FONT><FONT FACE=\"Times\"><P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">&nbsp;</P>
<P ALIGN=\"JUSTIFY\">
Con la presente scrittura privata, in duplice copia, tra i signori Pinco Pallino
 nato il 1.1.1954, residente in Vattelapesca via Vattelapesca 33 tel. 00000000 e
</P>
<P ALIGN=\"JUSTIFY\">
[il] signor[e] [nome] [cognome] nat[o] il [datanascita] residente in [citta] [via2] n 
[numcivico] tel [telefono] di seguito denominat[o] \"conduttore\"
</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"CENTER\">
PREMESSO
</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">
che il signor Pinco Pallino è proprietario di alcune unità immobiliari 
del Parco php-residence sito in Vattelapesca;
</P>
<P ALIGN=\"JUSTIFY\">
che il conduttore intende prendere in locazione un appartamento del Parco 
php-residence come seconda casa per adibirlo all\\'uso di vacanza e soddisfare 
esigenze abitative di natura transitoria e voluttuaria,
</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"CENTER\">
SI CONVIENE
</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">
1) Il signor Pinco Pallino concede in locazione [al] signor[e] [nome] [cognome] ed 
alla sua famiglia composta da [num_persone_tot] persone un appartamento del Parco 
php-residence per l\\'uso esclusivo di abitazione.
</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">
2) La locazione avrà la durata dal [data_inizio] al [data_fine]. Il conduttore 
è obbligato a tenere la cosa locata in perfetto 
stato e a non occupare l\\'appartamento con un numero di persone superiore a 
quello indicato al punto 1). L\\'occupazione dell\\'appartamento da parte di 
un numero di persone superiore a [num_persone_tot]  
comporta il pagamento, per il periodo della permanenza, di una penale di Euro 50 
al giorno ed a persona. La violazione della temporaneità, 
saltuarietà e transitorietà della locazione comporta la risoluzione di 
diritto del contratto.
</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">
3) Sono a carico del conduttore le spese riguardanti le utenze luce, acqua e gas. 
Tali spese sono calcolate nella somma forfettaria di Euro 15 a settimana 
(esempio di costo aggiuntivo finale).
</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">
4) Il prezzo della locazione per il periodo di cui al punto 2) e delle spese per le 
utenze acqua, luce e gas di cui al punto 3) è stabilito in lire 
[costo_tot_p].
</P>
<P ALIGN=\"JUSTIFY\">
Il conduttore versa al locatore, al momento della prenotazione, quale caparra 
confirmatoria, il 30%, pari a Euro <b>[caparra_p]</b>, del prezzo della locazione
 mentre il rimanente 70%, pari a Euro <b>[resto_caparra_p]</b>, sarà 
versato al locatore, in unica soluzione anticipata, prima di prendere possesso 
dell\\'appartamento.
</P><P ALIGN=\"JUSTIFY\"></P><P ALIGN=\"JUSTIFY\">
Vattelapesca, lì [oggi].
</P><P ALIGN=\"JUSTIFY\"></P><P ALIGN=\"JUSTIFY\">
Versato caparra di Euro [caparra]
</P><P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">Il 
locatore&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Il 
conduttore</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\"> 
__________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;____________</P>
</FONT>";
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('1','contrhtm','$contratto')");
$contratto = "<B><U><FONT FACE=\"Times\" SIZE=4><P ALIGN=\"CENTER\">EXAMPLE OF CONTRACT FOR PHP-RESIDENCE</P>
</U></B></FONT><FONT FACE=\"Times\"><P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">&nbsp;</P><P ALIGN=\"JUSTIFY\">
Mr[Mr] [name] [surname] born the [birthday] resident in [city] [street2] n 
[street_number] tel [telephone] will rent an apartment in php-residence
with his family of [people_num_tot] people from [starting_date] to [ending_date].
The price will be of [price_tot_p]. A deposit of [deposit_p] must be left.
</P>
<P ALIGN=\"JUSTIFY\">
Nowhere, [oggi].
</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">
The client
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
The owner</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\"> 
__________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;____________</P>
<P ALIGN=\"JUSTIFY\"></P>
</FONT>";
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('2','contrhtm','$contratto')");
$contratto = "<B><U><FONT FACE=\"Times\" SIZE=4><P ALIGN=\"CENTER\">EJEMPLO DE CONTRATO PARA PHP-RESIDENCE</P>
</U></B></FONT><FONT FACE=\"Times\"><P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\">&nbsp;</P><P ALIGN=\"JUSTIFY\">
[El] señor[a] [nombre] [apellido] nacid[o3] el [fecha_nacimiento] residente en [ciudad] [calle2] n 
[numero_calle] tel [telefono] alqilarà un apartamento en php-residence
con su familia de [num_personas_tot] personas desde [fecha_inicial] hasta [fecha_final].
El precio serà de [coste_tot_p]. Ha dejaado una fianza de [fianza_p].
</P>
<P ALIGN=\"JUSTIFY\">
Nign sitio, [hoy].
</P>
<P ALIGN=\"JUSTIFY\"></P><P ALIGN=\"JUSTIFY\">
El cliente&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
El proprietario</P>
<P ALIGN=\"JUSTIFY\"></P>
<P ALIGN=\"JUSTIFY\"> 
__________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;____________</P>
<P ALIGN=\"JUSTIFY\"></P>
</FONT>";
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('3','contrhtm','$contratto')");
for ($num1 = 4; $num1 <= 10; $num1++) esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('$num1','contrhtm','')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('1','var','Mr')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('2','var','Mr2')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('3','var','il')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('4','var','Il')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('5','var','al')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('6','var','e')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('7','var','o')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('8','var','il2')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('9','var','Il2')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('10','var','al2')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('11','var','e2')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('12','var','o2')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('13','var','el')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('14','var','El')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('15','var','al3')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('16','var','a')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('17','var','o3')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('18','var','el2')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('19','var','El2')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('20','var','al4')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('21','var','a2')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('22','var','o4')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('1','cond','if#%?sex#%?=#%?f#%?1#%?s')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('2','cond','if#%?sex2#%?=#%?f#%?2#%?s')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('3','cond','if#%?sesso#%?!=#%?f#%?3#%?il')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('4','cond','if#%?sesso#%?=#%?f#%?3#%?la')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('5','cond','if#%?sesso#%?!=#%?f#%?4#%?Il')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('6','cond','if#%?sesso#%?=#%?f#%?4#%?La')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('7','cond','if#%?sesso#%?!=#%?f#%?5#%?al')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('8','cond','if#%?sesso#%?=#%?f#%?5#%?alla')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('9','cond','if#%?sesso#%?!=#%?f#%?6#%?e')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('10','cond','if#%?sesso#%?=#%?f#%?6#%?a')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('11','cond','if#%?sesso#%?!=#%?f#%?7#%?o')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('12','cond','if#%?sesso#%?=#%?f#%?7#%?a')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('13','cond','if#%?sesso2#%?!=#%?f#%?8#%?il')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('14','cond','if#%?sesso2#%?=#%?f#%?8#%?la')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('15','cond','if#%?sesso2#%?!=#%?f#%?9#%?Il')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('16','cond','if#%?sesso2#%?=#%?f#%?9#%?La')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('17','cond','if#%?sesso2#%?!=#%?f#%?10#%?al')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('18','cond','if#%?sesso2#%?=#%?f#%?10#%?alla')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('19','cond','if#%?sesso2#%?!=#%?f#%?11#%?e')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('20','cond','if#%?sesso2#%?=#%?f#%?11#%?a')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('21','cond','if#%?sesso2#%?!=#%?f#%?12#%?o')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('22','cond','if#%?sesso2#%?=#%?f#%?12#%?a')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('23','cond','if#%?sexo#%?!=#%?f#%?13#%?el')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('24','cond','if#%?sexo#%?=#%?f#%?13#%?la')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('25','cond','if#%?sexo#%?!=#%?f#%?14#%?El')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('26','cond','if#%?sexo#%?=#%?f#%?14#%?La')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('27','cond','if#%?sexo#%?!=#%?f#%?15#%?al')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('28','cond','if#%?sexo#%?=#%?f#%?15#%?a la')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('29','cond','if#%?sexo#%?=#%?f#%?16#%?a')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('30','cond','if#%?sexo#%?!=#%?f#%?17#%?o')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('31','cond','if#%?sexo#%?=#%?f#%?17#%?a')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('32','cond','if#%?sexo2#%?!=#%?f#%?18#%?el')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('33','cond','if#%?sexo2#%?=#%?f#%?18#%?la')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('34','cond','if#%?sexo2#%?!=#%?f#%?19#%?El')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('35','cond','if#%?sexo2#%?=#%?f#%?19#%?La')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('36','cond','if#%?sexo2#%?!=#%?f#%?20#%?al')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('37','cond','if#%?sexo2#%?=#%?f#%?20#%?a la')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('38','cond','if#%?sexo2#%?=#%?f#%?21#%?a')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('39','cond','if#%?sexo2#%?!=#%?f#%?22#%?o')");
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('40','cond','if#%?sexo2#%?=#%?f#%?22#%?a')");

# creo i file permanenti.
if ($fileaperto = fopen("./dati/dati_connessione.php","a+")) {
$database_scrivi = aggiungi_slash($database);
$host_scrivi = aggiungi_slash($host);
$user_scrivi = aggiungi_slash($user);
$password_scrivi = aggiungi_slash($password);
fwrite($fileaperto,"<?php
\$PHPR_DB_TYPE = \"$tipo_db\";
\$PHPR_DB_NAME = \"$database_scrivi\";
\$PHPR_DB_HOST = \"$host_scrivi\";
\$PHPR_DB_PORT = \"$port\";
\$PHPR_DB_USER = \"$user_scrivi\";
\$PHPR_DB_PASS = \"$password_scrivi\";
\$PHPR_LOAD_EXT = \"$carica_estensione\";
\$PHPR_TAB_PRE = \"$prefisso_tab\";
?>");
fclose($fileaperto);
@chmod("./dati/dati_connessione.php", 0640);
if ($lingua != "ita" and (!@is_dir("./includes/lang/".$lingua) or strlen($lingua) > 3)) $lingua = "en";
$fileaperto = fopen("./dati/lingua.php","w+");
fwrite($fileaperto,"<?php
\$lingua[1] = \"$lingua\";
?>");
fclose($fileaperto);
$fileaperto = fopen("./dati/tema.php","w+");
fwrite($fileaperto,"<?php
\$parole_sost = 0;
\$tema[1] = \"sim\";
?>");
fclose($fileaperto);
$fileaperto = fopen("./dati/versione.php","w+");
fwrite($fileaperto,"<?php
define(C_VERSIONE_ATTUALE,".C_PHPR_VERSIONE_NUM.");
define(C_DIFF_ORE,0);
?>");
fclose($fileaperto);

# seconda form di inserimento (appartamenti).
echo "<br>".mex2("Inserisci ora i dati sugli appartamenti",$pag,$lingua)." (<b>".mex2("almeno il numero, diverso per ogni appartamento",$pag,$lingua)."</b>).<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"creadb.php?numappartamenti=$numappartamenti\"><hr width=\"95%\">";
$zeri = (string) "0000000000000000000000000000";
for ( $num = 1; $num <= $numappartamenti; $num = $num + 1) {
$numapp = "numapp" . $num;
$piano = "piano" . $num;
$maxoccupanti = "maxoccupanti" . $num;
$numcasa = "numcasa" . $num;
$priorita = "priorita" . $num;
$app_vicini = "app_vicini" . $num;
$num_default = (string) substr($zeri,0,(strlen($numappartamenti) - strlen($num))).$num;
echo "
$num). ".mex2("Numero (o nome) dell' appartamento",$pag,$lingua).": 
<input type=\"text\" name=\"$numapp\" size=\"5\" value=\"$num_default\">
 ".mex2("Massimo numero di occupanti",$pag,$lingua).": 
<input type=\"text\" name=\"$maxoccupanti\" size=\"3\"><br>
".mex2("Numero (o nome) piano",$pag,$lingua).": <input type=\"text\" name=\"$piano\" size=\"4\">
 ".mex2("Numero (o nome) casa",$pag,$lingua).": 
<input type=\"text\" name=\"$numcasa\" size=\"4\">
 ".mex2("Priorità (più bassa è, prima viene assegnato)",$pag,$lingua).": 
<input type=\"text\" name=\"$priorita\" size=\"3\">";
#echo "<br>Appartamenti vicini (separati da virgole): 
#<input type=\"text\" name=\"$app_vicini\">";
echo "<hr width=\"95%\"><br>";
} # fine for $num
echo "<center>";
#echo "<input type=\"checkbox\" name=\"assegna_vicini_nc\" value=\"SI\">
#Assegna come vicini gli appartamenti nella stessa casa (invalida i campi dei singoli appartamenti).<br>
#<input type=\"checkbox\" name=\"assegna_vicini_np\" value=\"SI\">Devono essere anche sullo stesso piano.<br>";
echo "<input class=\"sbutton\" type=\"submit\" name=\"insappartamenti\" value=\"".mex2("Inserisci i dati sugli appartamenti",$pag,$lingua)."\">
</center><br></form>";
} # fine if ($fileaperto = @fopen("./dati/connessione_db.php","a+"))

else {
esegui_query("drop table $tableclienti");
esegui_query("drop table $tableanni");
esegui_query("drop table $tableversioni");
esegui_query("drop table $tablepersonalizza");
esegui_query("drop table $tableutenti");
esegui_query("drop table $tableprivilegi");
esegui_query("drop table $tablesessioni");
esegui_query("drop table $tabletransazioni");
esegui_query("drop table $tabletransazioniweb");
esegui_query("drop table $tablecontratti");
esegui_query("drop table $tablemessaggi");
disconnetti_db($numconnessione);
if ($database_esistente == "NO") {
sleep(3);
if ($tipo_db == "postgresql") {
$numconnessione = pg_connect("dbname=$tempdatabase host=$host port=$port user=$user password=$password ");
} # fine if ($tipo_db == "postgresql")
if ($tipo_db == "mysql") {
$numconnessione = mysql_connect ("$host:$port", "$user", "$password");
} # fine if ($tipo_db == "mysql")
esegui_query("drop database $database");
} # fine if ($database_esistente == "NO")
echo "<br>".mex2("Non ho i permessi di scrittura sulla directory dati, cambiarli e reiniziare l'installazione",$pag,$lingua).".<br>";
$torna_indietro = "SI";
} # fine else if ($fileaperto = @fopen("./dati/connessione_db.php","a+"))

if ($database_esistente != "NO" and $character_set_db and ($character_set_db != "utf8" or $collation_db != "utf8_general_ci")) esegui_query("alter database $database default character set '$character_set_db' collate '$collation_db'");
} # fine if ($query)

else {
echo mex2("Non è stato possibile creare il database, controllare i privilegi dell' utente, il nome del database o se esiste già un database chiamato",$pag,$lingua)." $database.<br>";
$torna_indietro = "SI";
} # fine else if ($query)
} # fine if ($numconnessione)
else {
echo "<br>".mex2("I dati inseriti non sono esatti o il database non è in ascolto (se postgres assicurarsi che venga avviato con -i e di avere i permessi giusti in pg_hba.conf)",$pag,$lingua).".<br>";
$torna_indietro = "SI";
} # fine else if ($numconnessione)
} # fine if (!$prefisso_tab or ereg('^[_a-z][_0-9a-z]*$',$prefisso_tab))
else {
echo "<br>".mex2("Il prefisso del nome delle tabelle è sbagliato (accettate solo lettere minuscole, numeri e _ , primo carattere lettera)",$pag,$lingua).".<br>";
$torna_indietro = "SI";
} # fine else if (!$prefisso_tab or ereg('^[_a-z][_0-9a-z]*$',$prefisso_tab))
if ($torna_indietro == "SI") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"creadb.php\">
<input type=\"hidden\" name=\"lingua\" value=\"$lingua\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex2("Torna indietro",$pag,$lingua)."\"><br>
</form>";
} # fine if ($torna_indietro == "SI")
} # fine if ($creabase)

else {



// prima form di inserimento
include("./includes/costanti.php");
echo "<center><font size=+2>".mex2("Inserimento dei dati permanenti",$pag,$lingua)."</font></center><br>
".mex2("Inserisci questi dati per poi creare il database",$pag,$lingua).".<br>
<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"creadb.php\">
".mex2("Tipo di database",$pag,$lingua).": 
<select name=\"tipo_db\">";
if (C_CREADB_TIPODB == "postgresql") $selected = " selected";
else $selected = "";
echo "<option value=\"postgresql\"$selected>".mex2("Postgresql",$pag,$lingua)."</option>";
if (C_CREADB_TIPODB == "mysql") $selected = " selected";
else $selected = "";
echo "<option value=\"mysql\"$selected>".mex2("Mysql",$pag,$lingua)."</option>
</select><br>
".mex2("Nome del database da utilizzare",$pag,$lingua).": 
<input type=\"text\" name=\"database\" value=\"".C_CREADB_NOMEDB."\"><br>
".mex2("Database già esistente",$pag,$lingua)."?
<select name=\"database_esistente\">";
if (C_CREADB_DB_ESISTENTE == "SI") $selected = " selected";
else $selected = "";
echo "<option value=\"SI\"$selected>".mex2("Si",$pag,$lingua)."</option>";
if (C_CREADB_DB_ESISTENTE == "NO") $selected = " selected";
else $selected = "";
echo "<option value=\"NO\"$selected>".mex2("No",$pag,$lingua)."</option>
</select><font size=\"-1\">(".mex2("Se già esistente e non vuoto usare un prefisso non presente nel database per il nome delle tabelle",$pag,$lingua).")</font><br>
".mex2("Nome del computer a cui collegarsi",$pag,$lingua).":
<input type=\"text\" name=\"host\" value=\"".C_CREADB_HOST."\"><br>
".mex2("Numero della porta a cui collegarsi",$pag,$lingua).": 
<input type=\"text\" name=\"port\" value=\"".C_CREADB_PORT."\">(".mex2("Normalmete 5432 per Postgresql o 3306 per Mysql",$pag,$lingua).")<br>
".mex2("Nome per l'autenticazione al database",$pag,$lingua).": 
<input type=\"text\" name=\"user\" value=\"".C_CREADB_USER."\"><br>
".mex2("Parola segreta per l'autenticazione al database",$pag,$lingua).": 
<input type=\"text\" name=\"password\" value=\"".C_CREADB_PASS."\"><br>
".mex2("Caricare la libreria dinamica \"pgsql.so\" o \"mysql.so\"",$pag,$lingua)."?
<select name=\"carica_estensione\">";
if (C_CREADB_ESTENSIONE == "SI") $selected = " selected";
else $selected = "";
echo "<option value=\"SI\"$selected>".mex2("Si",$pag,$lingua)."</option>";
if (C_CREADB_ESTENSIONE == "NO") $selected = " selected";
else $selected = "";
echo "<option value=\"NO\"$selected>".mex2("No",$pag,$lingua)."</option>
</select> <font size=\"-1\">(".mex2("scegliere si se non viene caricata automaticamente da php",$pag,$lingua).")</font><br>
".mex2("Nome del database a cui collegarsi temporaneamente",$pag,$lingua).":
<input type=\"text\" name=\"tempdatabase\" value=\"".C_CREADB_TEMPDB."\"><font size=\"-1\">(".mex2("solo per Postgresql con database non esistente",$pag,$lingua).")</font><br>
".mex2("Prefisso nel nome delle tabelle",$pag,$lingua).":
<input type=\"text\" name=\"prefisso_tab\" value=\"".C_CREADB_PREFISSO_TAB."\" maxlength=\"8\" size=\"9\"><font size=\"-1\">(".mex2("opzionale, utile per più installazioni di php-residence nello stesso database",$pag,$lingua).")</font><br>
".mex2("Numero di appartamenti da gestire",$pag,$lingua).": 
<input type=\"text\" name=\"numappartamenti\"><br>
<center><input class=\"sbutton\" type=\"submit\" name=\"creabase\" value=\"".mex2("Crea il database",$pag,$lingua)."\"></center><br>
<input type=\"hidden\" name=\"lingua\" value=\"$lingua\">
</form>";

} # fine else if ($creabase)

} # fine else if ($insappartamenti)



if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($id_utente and $id_utente == 1)


} # fine if (CREA_ULTIMO_ACCESSO != "SI" or !@is_file("./dati/ultimo_accesso"))


?>
